package com.diagbot.client.bean;

import com.diagbot.biz.push.entity.SearchBaseData;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:推理相关入参
 * @Author:zhaops
 * @time: 2019/12/6 10:02
 */
@Getter
@Setter
public class SearchData extends SearchBaseData {
    private int age_start = 0;
    private int age_end = 200;
    /**
     * 搜索结果的贝叶斯阈值
     */
    private String threshold = "0";
    /**
     * 性别（M：男，F：女，A：通用）
     */
    private String sex;
}