package com.diagbot.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/1/2 10:59
 */
@Component
public class CryptConfiguer {

    @Value("${crypt.enable}")
    public Boolean cryptFlag;

    private static CryptConfiguer cryptConfiguer;

    public static CryptConfiguer getInstance() {
        if (null == cryptConfiguer) {
            synchronized (CryptConfiguer.class) {
                if (null == cryptConfiguer) {
                    cryptConfiguer = new CryptConfiguer();
                }
            }
        }
        return cryptConfiguer;
    }
}
