package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.LisMapping;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 化验项目公表映射 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2019-09-20
 */
public interface LisMappingMapper extends BaseMapper<LisMapping> {
    /**
     * 获取化验公表映射
     *
     * @param lisMappingWrapper
     * @return
     */
    List<LisMappingWrapper> getLisMappingByName(@Param("lisMappingWrapper") LisMappingWrapper lisMappingWrapper);
}