package com.diagbot.service;

import com.diagbot.entity.LisMapping;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 化验项目公表映射 服务类
 * </p>
 *
 * @author zhaops
 * @since 2019-09-20
 */
public interface LisMappingService extends IService<LisMapping> {
    /**
     * 获取化验公表映射
     *
     * @param lisMappingWrapper
     * @return
     */
    List<LisMappingWrapper> getLisMappingByName(@Param("lisMappingWrapper") LisMappingWrapper lisMappingWrapper);
}
