package com.diagbot.service.impl;

import com.diagbot.dto.EvaluationDTO;
import com.diagbot.entity.Evaluation;
import com.diagbot.mapper.EvaluationMapper;
import com.diagbot.service.EvaluationService;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

import javax.validation.Valid;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 管理与评估模板表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-06
 */
@Service
public class EvaluationServiceImpl extends ServiceImpl<EvaluationMapper, Evaluation> implements EvaluationService {

	@Override
	public List<EvaluationDTO> getEvaluationModule(@Valid EvaluationDiseaseNameVO evaluationdiseaseNameVO) {
		
		return baseMapper.getEvaluationModule(evaluationdiseaseNameVO);
	}

}
