package com.diagbot.service.impl;

import com.diagbot.entity.LisMapping;
import com.diagbot.entity.wrapper.LisMappingWrapper;
import com.diagbot.mapper.LisMappingMapper;
import com.diagbot.service.LisMappingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.Builder;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 化验项目公表映射 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2019-09-20
 */
@Service
public class LisMappingServiceImpl extends ServiceImpl<LisMappingMapper, LisMapping> implements LisMappingService {

    /**
     * 获取化验公表映射
     *
     * @param lisMappingWrapper
     * @return
     */
    @Override
    public List<LisMappingWrapper> getLisMappingByName(@Param("lisMappingWrapper") LisMappingWrapper lisMappingWrapper) {
        return this.baseMapper.getLisMappingByName(lisMappingWrapper);
    }
}
