package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ScaleContent;
import com.diagbot.mapper.ScaleContentMapper;
import com.diagbot.service.ScaleContentService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 量表内容表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-11
 */
@Service
public class ScaleContentServiceImpl extends ServiceImpl<ScaleContentMapper, ScaleContent> implements ScaleContentService {

    @Override
    public List<ScaleContent> getContentByName(String name) {
        return baseMapper.getContentByName(name);
    }
}
