package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/9 16:11
 */
@Getter
@Setter
public class DisTypeVO {
    @CryptField
    @NotBlank(message = "请输入诊断名称")
    private String name;
    @NotNull(message = "请输入诊断类型")
    private Integer disType;
}
