package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/2/14 14:56
 */
@Getter
@Setter
public class GetDiseaseIcdVO {
    //疾病名称
    @NotBlank(message="疾病名称必传")
    private String disNames;
    //医院编码
    @NotBlank(message="医院编码必传")
    private String hospitalCode;
}
