package com.diagbot.vo;

import com.diagbot.enums.SysTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年6月12日 下午3:30:26
 */
@Setter
@Getter
public class HospitalSetVO {

	private String hospitalCode;

	/**
	 * 访问的系统类型
	 * 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web
	 */
	@ApiModelProperty(hidden = true)
	private Integer sysType = SysTypeEnum.ICSS_SERVICE.getKey();

	/**
	 * 配置名称
	 */
	private String name;
	/**
	 * 配置编码
	 */
	private String code;
}
