package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 数据数据获取入参
 * @date 2019年5月7日 上午10:00:15
 */
@Getter
@Setter
public class IndexDataFindVO {

	/**
	 * 疾病ID
	 */
	@NotNull(message = "请输入疾病名")
	@CryptField
	private String diseaseName;
	/**
	 * 患者id
	 */
	@NotNull(message = "请输入患者id")
	private Long patientId;

	@NotBlank(message = "请输入开始时间")
	private String startTime;

	@NotBlank(message = "请输入结束时间")
	private String endTime;
}
