package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/5/10 10:24
 */
@Getter
@Setter
public class RetrievalVO {
    private Integer type;
    private Integer age;
    @NotBlank(message = "请输入检索内容")
    @CryptField
    private String InputStr;
    private Integer sexType;
    //需要去重的id
    private List<Long> inputIds;
    //获取子项时需要用到的type类型
    private Integer detailType;
    //类型为其他史时用到的type类型
    private List<Integer> otherType;
    //是否是静态搜索
    private Integer isStatic = 0;
    //是否显示子项(0.不显示，1.显示)
    private Integer isSonShow = 0;
    private List<Integer> types; // 指定类型
    private boolean hasLis = false; // 是否搜索化验
    private boolean hasGauge = false; // 是否有量表
    private List<Integer> typesIn; // 共用需要遍历的类型
}
