package com.diagbot.aggregate;

import com.diagbot.client.PrecmanServiceClient;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.google.common.collect.Lists;
import io.github.lvyahui8.spring.annotation.DataProvider;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/10/16 13:35
 */
@Component
public class PrecmanAgg {
    @Autowired
    private PrecmanServiceClient precmanServiceClient;
    @DataProvider("precGetCount")
    public List<BIItemDTO> precGetCount(){
        List<BIItemDTO> biItemDTOList = Lists.newLinkedList();
        RespDTO<BIItemDTO> precResp = precmanServiceClient.getCount();
        if (RespDTOUtil.respIsOK(precResp)) {
            biItemDTOList.add(precResp.data);
        }
        return biItemDTOList;
    }
}
