package com.diagbot.client.hystrix;

import com.diagbot.client.NeoServiceClient;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:图谱服务
 * @Author:zhaops
 * @time: 2019/10/17 10:21
 */
@Component
@Slf4j
public class NeoServiceHystrix implements NeoServiceClient {
    @Override
    public List<BIItemDTO> neoStatistics() {
        log.error("【hystrix】调用{}异常", "neoStatistics");
        return null;
    }
}
