package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/22 11:43
 */
@Getter
@Setter
public class ExportCommonTestDTO {
    @Excel(name = "测试时间", width = 40, orderNum = "1", format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified;
    @Excel(name = "医院术语", width = 40, orderNum = "2")
    private String hisName;
    private String hisDetailName;
    @Excel(name = "标准术语", width = 40, orderNum = "4")
    private String name;
    /**
     * 是否有标准词（0：无，1：有）
     */
    private Integer hasStandName;
}
