package com.diagbot.dto;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/3/2 11:29
 */
@Getter
@Setter
public class KlLexiconRelationshipDTO extends Page {
    /**
     * 主键
     */
    private Long id;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm:ss")
    private Date gmtModified;

    /**
     * 操作人
     */
    private String operName;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 类型名称
     */
    private String name;

    /**
     * 数字编码（100~500）
     */
    private Integer code;
}
