package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-10 10:54
 */
@Setter
@Getter
public class PermissionsAllDTO {
    private Long id;


    /**
     * 资源名称
     */
    private String name;

    /**
     * 资源编码
     */
    private String code;

    /**
     * 资源Url
     */
    @TableField("permissionUrl")
    private String permissionUrl;
    /**
     * 资源描述
     */
    private String descritpion;

    private Integer type;
}
