package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-07 10:30
 */
@Setter
@Getter
public class PlanDetailDTO {

    private Long id;
    /**
     * 医院编码
     */
    private Long hospitalId;

    /**
     * 方案编号
     */
    private Long planId;
    private Long parentId;

    /**
     * 配置名称
     */
    private String name;

    /**
     * 配置编码
     */
    private String code;

    private String value;

    /**
     * 是否显示（1是，0否）
     */
    private Integer status;

    /**
     * 显示个数
     */
    private Integer number;

    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

    private List<PlanDetailDTO> planDetails;
}
