package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-06 9:51
 */
@Getter
@Setter
public class VersionDetailSpecDTO {

    private Long id;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 创建人，0表示无创建人值
     */
    // private String creator;


    /**
     * 版本主表id
     */
    private Long versionId;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 排序号
     */
    private String orderNo;

    /**
     * 1：启动，0：不启用
     */
    //  private String status;

    /**
     * 备注
     */
    private String remark;
}

