package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public class KlDiseaseCorresponding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 平安诊断
     */
    private String diagPingan;

    /**
     * 对应的ICD10疾病
     */
    private String diagIcd;

    /**
     * 警惕标志（0：不是警惕 1：警惕）
     */
    private Integer highRiskSign;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getDiagPingan() {
        return diagPingan;
    }

    public void setDiagPingan(String diagPingan) {
        this.diagPingan = diagPingan;
    }
    public String getDiagIcd() {
        return diagIcd;
    }

    public void setDiagIcd(String diagIcd) {
        this.diagIcd = diagIcd;
    }
    public Integer getHighRiskSign() {
        return highRiskSign;
    }

    public void setHighRiskSign(Integer highRiskSign) {
        this.highRiskSign = highRiskSign;
    }

    @Override
    public String toString() {
        return "KlDiseaseCorresponding{" +
            "id=" + id +
            ", diagPingan=" + diagPingan +
            ", diagIcd=" + diagIcd +
            ", highRiskSign=" + highRiskSign +
        "}";
    }
}
