package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-11 11:16
 */
@Component
public class CacheFacade {
    @Autowired
    CdssCoreClient cdssCoreClient;

    public boolean clearAll() {
        RespDTO<Boolean> resData =  cdssCoreClient.clearAlls();
        RespDTOUtil.respNGDeal(resData, "加载数据失败！");
        return  resData.data;
    }

    public boolean clearDrugloadDrug() {
        RespDTO<Boolean> resData =  cdssCoreClient.clearDrugloadDrug();
        RespDTOUtil.respNGDeal(resData, "加载数据失败！");
        return  resData.data;
    }

    public boolean clearRuleInfoAll() {
        RespDTO<Boolean> resData =  cdssCoreClient.clearRuleAll();
        RespDTOUtil.respNGDeal(resData, "加载数据失败！");
        return  resData.data;
    }

    public boolean clearStandRuleDrugAll() {
        RespDTO<Boolean> resData =  cdssCoreClient.clearStandRuleDrugAll();
        RespDTOUtil.respNGDeal(resData, "加载数据失败！");
        return  resData.data;
    }
}
