package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.DictionaryInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.DictionaryInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-17 13:34
 */
@Component
public class KlDictionaryInfoFacade {
    @Autowired
    CdssCoreClient cdssCoreClient;

    public List<DictionaryInfoDTO> getListByGroupType( DictionaryInfoVO dictionaryInfoVO) {
        RespDTO<List<DictionaryInfoDTO>> dictionaryAll = cdssCoreClient.getDictionaryAll(dictionaryInfoVO);
        RespDTOUtil.respNGDeal(dictionaryAll, "获取字典表信息数据失败");
        return dictionaryAll.data;
    }
}
