package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultHighriskOperation;
import com.diagbot.service.impl.ResultHighriskOperationServiceImpl;
import com.diagbot.util.ExcelUtils;
import com.diagbot.vo.ResultHighriskOperationPageVO;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/19 13:26
 */
@Component
public class ResultHighriskOperationFacade extends ResultHighriskOperationServiceImpl {
    /**
     * 数据导出
     *
     * @param response
     * @param resultHighriskOperationPageVO
     */
    public void exportExcel(HttpServletResponse response, ResultHighriskOperationPageVO resultHighriskOperationPageVO) {
        resultHighriskOperationPageVO.setSize(-1L);
        IPage<ResultHighriskOperation> page = this.getPage(resultHighriskOperationPageVO);
        String fileName = "高危手术规则测试结果导出.xls";
        ExcelUtils.exportExcel(page.getRecords(), null, "sheet1", ResultHighriskOperation.class, fileName, response, 12.8f);
    }
}
