package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultOtherPacs;
import com.diagbot.service.impl.ResultOtherPacsServiceImpl;
import com.diagbot.util.ExcelUtils;
import com.diagbot.vo.ResultPageVO;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/20 10:47
 */
@Component
public class ResultOtherPacsFacade extends ResultOtherPacsServiceImpl {
    /**
     * 数据导出
     *
     * @param response
     * @param resultPageVO
     */
    public void exportExcel(HttpServletResponse response, ResultPageVO resultPageVO) {
        resultPageVO.setSize(-1L);
        IPage<ResultOtherPacs> page = this.getPage(resultPageVO);
        String fileName = "辅检其他值提醒规则测试结果导出.xls";
        ExcelUtils.exportExcel(page.getRecords(), null, "sheet1", ResultOtherPacs.class, fileName, response, 12.8f);
    }
}
