package com.diagbot.mapper;

import com.diagbot.dto.RelationDTO;
import com.diagbot.dto.RelationNameDTO;
import com.diagbot.dto.RelationNodeDTO;
import com.diagbot.entity.KlRelation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.KlRelationVO;
import com.diagbot.vo.RelationVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import com.diagbot.dto.MedClassMedDTO;
import com.diagbot.entity.KlRelation;

import java.util.List;

/**
 * <p>
 * 术语关系表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public interface KlRelationMapper extends BaseMapper<KlRelation> {
    List<RelationNodeDTO> getRelationNodeDTOs(@Param(value="conceptId")Long conceptId, @Param(value="relationId")Long relationId, @Param(value="endTypeId")Long endTypeId);

    List<MedClassMedDTO> getMedClassMedList();

    List<RelationDTO> getRelations(RelationVO relationVO);

    List<RelationNameDTO> getRelationNameDTOs(@Param(value="conceptIds")List<Long> conceptIds,@Param(value="relationId")Integer relationId);
}
