package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.UserRoleInfoFindDTO;
import com.diagbot.entity.UserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.UserRoleInfoFindVO;

import java.util.List;

/**
 * <p>
 * 系统用户角色关联表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-11
 */
public interface UserRoleMapper extends BaseMapper<UserRole> {

    IPage<UserRoleInfoFindDTO> getUserRoleAlls(UserRoleInfoFindVO userRoleInfoFindVO);
}
