package com.diagbot.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlConceptAllDTO;
import com.diagbot.dto.KlConceptInfoDTO;
import com.diagbot.entity.KlConcept;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.KlConceptAllVO;
import com.diagbot.vo.KlConceptInfoVO;

import java.util.List;

/**
 * <p>
 * 概念表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public interface KlConceptService extends IService<KlConcept> {
    public IPage<KlConceptInfoDTO> getConceptPage(KlConceptInfoVO klConceptInfoVO);
    public List<KlConceptAllDTO> getConceptAll(KlConceptAllVO klConceptAllVO);
}
