package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiseaseAllDetailDTO;
import com.diagbot.dto.DiseasePageDTO;
import com.diagbot.entity.KlDisease;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.DiseaseDeleteVO;
import com.diagbot.vo.DiseasePageVO;
import com.diagbot.vo.GetDiseaseDetailVO;

import java.util.List;

/**
 * <p>
 * 疾病表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public interface KlDiseaseService extends IService<KlDisease> {
    IPage<DiseasePageDTO> getDiseasePage(DiseasePageVO klConceptInfoVO);

    List<DiseasePageDTO> getDiseaseAlls(DiseaseDeleteVO diseaseDeleteVO);

    List<DiseaseAllDetailDTO> getDiseaseDetail(GetDiseaseDetailVO getDiseaseDetailVO);
}

