package com.diagbot.service;

import com.diagbot.dto.MedClassMedDTO;
import com.diagbot.dto.RelationDTO;
import com.diagbot.dto.RelationNameDTO;
import com.diagbot.entity.KlRelation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.KlRelationVO;
import com.diagbot.vo.RelationVO;
import io.swagger.models.auth.In;

import java.util.List;

/**
 * <p>
 * 术语关系表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public interface KlRelationService extends IService<KlRelation> {
    List<MedClassMedDTO> getMedClassMedList();

    List<RelationDTO> getRelations(RelationVO relationVO);

    List<RelationNameDTO> getRelationNameDTOs(List<Long> conceptIds, Integer relationId);
}
