package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlConceptAllDTO;
import com.diagbot.dto.KlConceptInfoDTO;
import com.diagbot.entity.KlConcept;
import com.diagbot.mapper.KlConceptMapper;
import com.diagbot.service.KlConceptService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.KlConceptAllVO;
import com.diagbot.vo.KlConceptInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 概念表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlConceptServiceImpl extends ServiceImpl<KlConceptMapper, KlConcept> implements KlConceptService {

    @Override
    public IPage<KlConceptInfoDTO> getConceptPage(KlConceptInfoVO klConceptInfoVO) {
        return baseMapper.getConceptPage(klConceptInfoVO);
    }

    @Override
    public List<KlConceptAllDTO> getConceptAll(KlConceptAllVO klConceptAllVO) {
        return baseMapper.getConceptAll(klConceptAllVO);
    }
}
