package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlLexiconDTO;
import com.diagbot.entity.KlLexicon;
import com.diagbot.mapper.KlLexiconMapper;
import com.diagbot.service.KlLexiconService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.KlLexiconVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 术语分类表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlLexiconServiceImpl extends ServiceImpl<KlLexiconMapper, KlLexicon> implements KlLexiconService {
    @Override
    public IPage<KlLexiconDTO> getPage(KlLexiconVO lexiconVO){
        return baseMapper.getPage(lexiconVO);
    }
}
