package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultBill;
import com.diagbot.mapper.ResultBillMapper;
import com.diagbot.service.ResultBillService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.ResultBillPageVO;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-01-08
 */
@Service
public class ResultBillServiceImpl extends ServiceImpl<ResultBillMapper, ResultBill> implements ResultBillService {

    public IPage<ResultBill> getPage(@Param("resultBillPageVO") ResultBillPageVO resultBillPageVO) {
        return baseMapper.getPage(resultBillPageVO);
    }
}
