package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultCritical;
import com.diagbot.mapper.ResultCriticalMapper;
import com.diagbot.service.ResultCriticalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.ResultCriticalPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-01-08
 */
@Service
public class ResultCriticalServiceImpl extends ServiceImpl<ResultCriticalMapper, ResultCritical> implements ResultCriticalService {
    public IPage<ResultCritical> getPage(@Param("resultCriticalPageVO") ResultCriticalPageVO resultCriticalPageVO) {
        return baseMapper.getPage(resultCriticalPageVO);
    }
}
