package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ResultHighriskOperation;
import com.diagbot.mapper.ResultHighriskOperationMapper;
import com.diagbot.service.ResultHighriskOperationService;
import com.diagbot.vo.ResultHighriskOperationPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-15
 */
@Service
public class ResultHighriskOperationServiceImpl extends ServiceImpl<ResultHighriskOperationMapper, ResultHighriskOperation> implements ResultHighriskOperationService {
    public IPage<ResultHighriskOperation> getPage(@Param("resultHighriskOperationPageVO") ResultHighriskOperationPageVO resultHighriskOperationPageVO) {
        return baseMapper.getPage(resultHighriskOperationPageVO);
    }
}
