package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ResultOtherPacs;
import com.diagbot.mapper.ResultOtherPacsMapper;
import com.diagbot.service.ResultOtherPacsService;
import com.diagbot.vo.ResultPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-19
 */
@Service
public class ResultOtherPacsServiceImpl extends ServiceImpl<ResultOtherPacsMapper, ResultOtherPacs> implements ResultOtherPacsService {

    public IPage<ResultOtherPacs> getPage(@Param("resultPageVO") ResultPageVO resultPageVO) {
        return baseMapper.getPage(resultPageVO);
    }
}
