package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ResultOtherTransfusion;
import com.diagbot.mapper.ResultOtherTransfusionMapper;
import com.diagbot.service.ResultOtherTransfusionService;
import com.diagbot.vo.ResultPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-19
 */
@Service
public class ResultOtherTransfusionServiceImpl extends ServiceImpl<ResultOtherTransfusionMapper, ResultOtherTransfusion> implements ResultOtherTransfusionService {

    public IPage<ResultOtherTransfusion> getPage(@Param("resultPageVO") ResultPageVO resultPageVO) {
        return baseMapper.getPage(resultPageVO);
    }
}
