package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ResultStaticKnowledge;
import com.diagbot.mapper.ResultStaticKnowledgeMapper;
import com.diagbot.service.ResultStaticKnowledgeService;
import com.diagbot.vo.ResultStaticPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class ResultStaticKnowledgeServiceImpl extends ServiceImpl<ResultStaticKnowledgeMapper, ResultStaticKnowledge> implements ResultStaticKnowledgeService {
    public IPage<ResultStaticKnowledge> getPage(@Param("resultStaticPageVO") ResultStaticPageVO resultStaticPageVO) {
        return baseMapper.getPage(resultStaticPageVO);
    }
}
