package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.UserRoleInfoFindDTO;
import com.diagbot.entity.UserRole;
import com.diagbot.mapper.UserRoleMapper;
import com.diagbot.service.UserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.UserRoleInfoFindVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 系统用户角色关联表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-11
 */
@Service
public class UserRoleServiceImpl extends ServiceImpl<UserRoleMapper, UserRole> implements UserRoleService {

    @Override
    public IPage<UserRoleInfoFindDTO> getUserRoleAlls(UserRoleInfoFindVO userRoleInfoFindVO) {
        return baseMapper.getUserRoleAlls(userRoleInfoFindVO);
    }
}
