package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.VersionWrapperDTO;
import com.diagbot.entity.VersionInfo;
import com.diagbot.mapper.VersionInfoMapper;
import com.diagbot.service.VersionInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.VersionWrapperNameVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 版本信息 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-06
 */
@Service
public class VersionInfoServiceImpl extends ServiceImpl<VersionInfoMapper, VersionInfo> implements VersionInfoService {

    @Override
    public IPage<VersionWrapperDTO> getVersionInfoAPage(VersionWrapperNameVO versionWrapperNameVO) {
        return baseMapper.getVersionInfoAPage(versionWrapperNameVO);
    }
}
