package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/14 14:33
 */
@Getter
@Setter
public class CriticalRuleVO extends HospitalIdVO {
    /**
     * 测试类型
     */
    @NotNull(message = "请输入测试案例id")
    private Long caseId;
    /**
     * 危急值测试类型（1：检验，2：检查）
     */
    @NotNull(message = "请输入危急值测试类型（1：检验，2：检查）")
    private Integer criticalType;
}
