package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-05 11:16
 */
@Setter
@Getter
public class DisclaimerInfoVO {
    /**
     * 标题
     */
    @NotBlank(message = "标题不能为空")
    private String title;

    /**
     * 描述
     */
    @NotBlank(message = "内容不能为空")
    private String description;

    /**
     * 排序号
     */
    private String orderNo;

    /**
     * 免责申明编号
     */
    private String disclaimerCode;

    /**
     * 备注
     */
    private String remark;
}
