package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/11 16:16
 */
@Getter
@Setter
public class HospitalInfoPageVO extends Page {
    /**
     * 医院编码
     */
    /*private String code;*/

    /**
     * 医院名称
     */
    private String name;

    /**
     * 医院地址
     */
    private String address;

    /**
     * 医院名称拼音
     */
    private String spell;

    /**
     * 状态：0.禁用1.启用
     */
    private Integer status;

    /**
     * 是否对接（0-不对接，1-对接）
     */
    private Integer connect;
}
