package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: Kongwz
 * @time: 2021/3/8 16:03
 */
@Getter
@Setter
public class KlRelationVO {
	
	/**
	 * 当前概念id start_id
	 */
	/**
	 * 概念id
	 */
	@ApiModelProperty(value="概念id",required=true)
	@NotNull(message="概念id必传")
	private List<Long> conceptIds;

	
	/**
	 * 当前概念(起点术语) 与 上一级概念(终点术语) 关系id
	 */
	/**
	 * 关系id
	 */
	@ApiModelProperty(value="关系id",required=true)
	@NotNull(message="关系id必传")
	private Integer relationId;
    

}