package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/19 13:53
 */
@Getter
@Setter
public class OtherRuleVO extends HospitalIdVO {
    /**
     * 测试类型
     */
    @NotNull(message = "请输入测试案例id")
    private Long caseId;
    /**
     * 其他提醒测试规则类型（1：化验，2：辅检，3：输血）
     */
    @NotNull(message = "请输入其他提醒测试规则类型（1：化验，2：辅检，3：输血）")
    private Integer otherType;
}