package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/22 15:12
 */
@Getter
@Setter
public class RunningInfoVO {
    /**
     * 测试用例id
     */
    @NotNull(message = "请输入测试用例id")
    private Long caseId;

    /**
     * 医院id
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * 状态（1：运行中，0：非运行中）
     */
    //@ApiModelProperty(hidden = true)
    private Integer status;
}
