package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/21 15:29
 */
@Getter
@Setter
public class StaticKnowledgeTestVO extends HospitalIdVO {
    /**
     * 术语类型（1：诊断、2：检验、3：检查、4：药品、5：手术/操作）
     */
    @NotNull(message = "请输入术语类型（1：诊断、2：检验、3：检查、4：药品、5：手术/操作）")
    private Integer type;
    @NotNull(message = "请输入测试用例id")
    private Long caseId;
}