package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-06 16:01
 */
@Setter
@Getter
public class TokenHospitalInfoVO {
    /**
     * 医院ID
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;
    private Date startTime;
    private Date endTime;

}
