package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.UserFacade;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统用户表 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-11
 */
@Controller
@RequestMapping("/user")
@SuppressWarnings("unchecked")
@ApiIgnore
@Deprecated
public class UserController {
    @Autowired
    private UserFacade userFacade;

    @ApiOperation(value = "根据用户ID列表获取用户数据(远程调用)[by:gaodm]", notes = "根据用户ID列表获取用户数据")
    @PostMapping("/getUserInfoByIds")
    @SysLogger("getUserInfoByIds")
    @ApiIgnore
    public RespDTO<Map<String, String>> getUserInfoByIds(@RequestBody List<String> ids) {
        return RespDTO.onSuc(userFacade.getUserInfoByIds(ids));
    }
}
