package com.diagbot.biz.push.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:静态知识返回结构
 * @Author:zhaops
 * @time: 2019/12/11 9:38
 */
@Getter
@Setter
public class ConceptDetailDTO {
    /**
     * 提示明细标题
     */
    private String title;

    /**
     * 提示明细内容
     */
    private String content;

    /**
     * 纯文本
     */
    private String text;

    /**
     * 是否诊断依据（1-是，0-否）
     */
    private Integer isReason;

    /**
     * 显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书，6-不良反应，7-症状描述信息(智能分诊)
     */
    private String position;
}
