package com.diagbot.biz.push.entity;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description: 不良反应
 * @Author:zhaops
 * @time: 2019/3/14 11:14
 */
@Getter
@Setter
public class AdverseReaction {
    /**
     * 术语id
     */
    private Long conceptId;
    /**
     * 术语名称
     */
    @CryptField
    private String name;
    /**
     * 词性
     */
    private Integer libType;
    /**
     * 类型（10：不良反应）
     */
    private Integer type;
    /**
     * 是否有提示信息（0：无，1：有）
     */
    private String showInfo = "0";
    /**
     * 控件类型（0：单选-radio，2：多选-checkbox，2：文本框-text，3：下拉列表-dropdownlist）
     */
    private Integer controlType;
    /**
     * 选项明细
     */
    private List<AdverseReactionDetail> details;
}