package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.DictionaryInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2018/11/23 11:37
 */
@Component
public class DictionaryFacade {

    @Autowired
    private AiptServiceClient aiptServiceClient;

    /**
     * 返回字典信息
     *
     * @return
     */
    public Map<Long, List<DictionaryInfoDTO>> getList() {
        RespDTO<Map<Long, List<DictionaryInfoDTO>>> res = aiptServiceClient.getList();
        RespDTOUtil.respNGDealCover(res, "获取字典信息失败");
        return res.data;
    }
}
