package com.diagbot.vo;

import com.diagbot.enums.SysTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年6月12日 下午3:30:26
 */
@Setter
@Getter
public class HospitalSetVO {

	private String hospitalCode;

	/**
	 * 访问的系统类型
	 * (1, "user-service"),(2, "diagbotman-service"),(3, "uaa-service"),(4, "log-service"),
	 * (5, "bi-service"),(6, "ltapi-service"),(7, "feedback-service"),(8, "icss-old-service"),
	 * (9, "triage-service"),(10, "appkey"),(11, "icss-service"),(12, "icssman-service"),(13, "knowledgeman-service"),
	 * (14, "tran-service"),(15, "aipt-service"),(16, "data-service"),(17, "prec-service");
	 */
	@ApiModelProperty(hidden = true)
	private Integer sysType = SysTypeEnum.DATA_SERVICE.getKey();

	/**
	 * 方案编号
	 */
	private Integer plan;

	/**
	 * 配置名称
	 */
	private String name;
	/**
	 * 配置编码
	 */
	private String code;
}
