package com.diagbot.entity;

import lombok.Data;

/**
 * @description: ip基础类
 * @author: zhoutg
 * @time: 2020/3/25 9:39
 */
@Data
public class IpEntity {

    /**
     * 国家
     */
    private String country;

    /**
     * 区域
     */
    private String area;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 运营商
     */
    private String operator;

    public IpEntity() {
    }

    public IpEntity(String country, String area, String province, String city, String operator) {
        this.country = country;
        this.area = area;
        this.province = province;
        this.city = city;
        this.operator = operator;
    }


}
