package com.diagbot.facade;

import com.diagbot.dto.ServiceFiltersDTO;
import com.diagbot.entity.ServiceFilter;
import com.diagbot.service.impl.ServiceFilterServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.ListUtil;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 产品服务过滤
 * @Author: ztg
 * @Date: 2018/9/18 14:45
 */
@Component
public class ServiceFilterFacade extends ServiceFilterServiceImpl {

    /**
     * 获取需要appkey和secret的服务，未用
     *
     * @return 服务列表
     */
    public List<ServiceFiltersDTO> getServiceFilter() {
        List<ServiceFiltersDTO> res = new ArrayList<>();
        List<ServiceFilter> list = this.getAll();
        if (ListUtil.isNotEmpty(list)) {
            res = BeanUtil.listCopyTo(list, ServiceFiltersDTO.class);
        }
        return res;
    }
}
