-- 知识库诊断设置科室和疾病分类
use `med`;
INSERT INTO `med`.`kl_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'Ⅰ', 'Ⅰ', '1', '1', '疾病分级-Ⅰ级');
INSERT INTO `med`.`kl_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'Ⅱ', 'Ⅱ', '1', '2', '疾病分级-Ⅱ级');

INSERT INTO kl_disease(concept_id)
SELECT
a.id
FROM kl_concept a LEFT JOIN kl_disease b ON a.id=b.concept_id
WHERE b.id IS NULL AND a.lib_type=18;

UPDATE kl_disease a JOIN 
(SELECT
a.id,b.dept_id
FROM kl_concept a JOIN kl_concept_common b ON a.id=b.concept_id
WHERE a.lib_type=18 AND b.dept_id IS NOT NULL) b
ON a.concept_id=b.id
SET a.dept_id=b.dept_id;

UPDATE  kl_disclaimer_information  SET STATUS = 0   WHERE disclaimer_code = 1 AND title = "1.诊断免责信息";
 
UPDATE  kl_disclaimer_information  SET STATUS = 0   WHERE disclaimer_code = 2  AND title = "2.推送免责信息";

INSERT INTO `kl_disclaimer_information`
 (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `version_id`, `title`, `description`, `order_no`, `status`, `disclaimer_code`, `remark`) 
 VALUES('N','2019-09-17 13:34:03','2019-09-17 13:34:03','1','1','0','1.诊疗推送（new）','以上诊疗推送仅供医生诊疗过程中参考使用，实际情况以医生临床诊断为准',NULL,'1','2',NULL);

