package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/3/19 13:56
 */
@ApiModel(value = "获取大小医院信息接口出参")
@Getter
@Setter
public class GetHospitalRankInfoDTO {

    /**
     * 医院id
     */
    @ApiModelProperty(value = "医院id")
    private Long hospitalId;

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码")
    private String hospitalCode;

    /**
     * 医院名称
     */
    @ApiModelProperty(value = "医院名称")
    private String hospitalName;

    /**
     * 子医院id
     */
    @ApiModelProperty(value = "子医院id")
    private Long sonHospitalId;

    /**
     * 子医院编码
     */
    @ApiModelProperty(value = "子医院编码")
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    @ApiModelProperty(value = "子医院名称")
    private String sonHospitalName;

}
