package com.diagbot.dto;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="急诊-历史病历列表接口出参")
@Getter
@Setter
public class HisInquirysForJzDTO{
	
	/**
	 * 总条数
	 */
	@ApiModelProperty(value="总条数")
	private Long total;
	
	/**
	 * 问诊记录列表
	 */
	@ApiModelProperty(value="问诊记录列表")
	private List<HisInquirysForJzDetailDTO> inquiryList;
	
	
}
