package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.diagbot.entity.TemplateInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-01-13 11:08
 */
@Setter
@Getter
public class TemplateFolderDTO {

    /**
     * 主键
     */
    private Long id;
    /**
     * 名称
     */
    private String name;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 模板类型（个人1，管理员2）
     */
    private Integer templateType;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 文件夹下模板数量
     */
    private Integer templateInfoCount;

    /**
     * 模板
     */
    private List<TemplateInfoNormDTO> templateInfo;
}
