package com.diagbot.service.impl;

import com.diagbot.entity.FolderMapping;
import com.diagbot.mapper.FolderMappingMapper;
import com.diagbot.service.FolderMappingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 模板文件夹映射表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-09
 */
@Service
public class FolderMappingServiceImpl extends ServiceImpl<FolderMappingMapper, FolderMapping> implements FolderMappingService {

    @Override
    public Long getMaxOrderNo(Long folderId) {
        return baseMapper.getMaxOrderNo(folderId);
    }
}
