package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value="获取最近一次其他史信息接口传参")
@Getter
@Setter
public class GetLastOtherVO {
	
	/**
	 * 医院编号
	 */
	@ApiModelProperty(value="医院编号",required=true)
	@NotBlank(message="医院编号必填")
	private String hospitalCode;
	
	/**
	 * 医院患者编号
	 */
	@ApiModelProperty(value="医院患者编号",required=true)
	@NotBlank(message="医院患者编号必填")
	private String patientCode;
	
	/**
     * 类型：0：结构化 1：文本模式
     */
	@ApiModelProperty(value="类型：0：结构化 1：文本模式")
    private Integer sign;
	
	   
}
