/**
 * 
 */
package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2019年3月12日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryScaleVO {
	
	/**
     * 量表概念id
     */
	@ApiModelProperty(value="量表概念id",required=true)
	@NotNull(message="量表概念id必传")
    private Long conceptId;
	
    /**
     * 量表概念名称
     */
	@NotBlank(message="量表概念名称必传")
    @ApiModelProperty(value="量表概念名称",required=true)
    private String conceptName;

	/**
     * 量表页面html内容
     */
	@ApiModelProperty(value="量表页面html内容",required=true)
    @NotBlank(message="量表页面html内容必传")
    private String htmlContent;

}
