package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2018年11月23日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryToHisDetailVO {
	
	/**
     * 类型（1:主诉，2现病史，3其他史，4查体，5化验，6辅检，7诊断，8医嘱，9二次诊断）
     */
    private Integer type;
    
    /**
     * 内容字符串
     */
    private String content;
    
    /**
     * 内容字符串json
     */
    private String contentJson;

    /**
     * 内容字符串纯文本
     */
    private String contentValue;

}
