package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 模板文件夹表
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-09
 */
@Setter
@Getter
public class TemplateFolderDelVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "请输入文件夹id")
    private Long folderId;
    @NotNull(message = "请输入医院id")
    private Long hospitalId;
    @NotNull(message = "请输入医生id")
    private Long doctorId;
}
