package com.diagbot.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 模板文件夹表
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-09
 */
@Getter
@Setter
public class TemplateFolderSortVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 名称
     */
    private String name;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 排序号
     */
    private Integer orderNo;

    //模板排序
    List<TemplateSortVO> templateSortVOList = new ArrayList<>();

}
