package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-01-10 14:42
 */
@Setter
@Getter
public class TemplateNormsVO {

    @NotBlank(message = "请输入模板名字")
    private String modeName;//模板名字
    @NotBlank(message = "请输入模板拼音")
    private String modeSpell;//模板名字
    @NotNull(message = "请输入医生id")
    private Long doctorId;//医生id
    @NotNull(message = "请输入医院id")
    private Long hospitalId;//医院id
    @NotNull(message = "请输入部门id")
    private Long hospitalDeptId;//部门id
    @NotNull(message = "请输入性别")
    private Integer sex;//性别
    @NotBlank(message = "请输入模板类型")
    private String modeType;//模板类型
    @NotNull(message = "请输入预览文本")
    private ContentsVO preview;//预览文本
    @NotBlank(message = "请输入模板数据")
    private String dataJson;//模板数据
    @NotNull(message = "请输入文件夹id")
    private Long folderId;

}
