package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/1/13 13:30
 */
@Getter
@Setter
public class TemplateQuoteVO {
    /**
     * 模板id
     */
    @NotNull(message="请输入模板id")
    private Long templateId;

    /**
     * 医生id
     */
    @NotNull(message="请输入医生id")
    private Long doctorId;

    /**
     * 备注
     */
    private String remark;
}
