package com.diagbot.facade;

import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Caching;
import org.springframework.stereotype.Component;

/**
 * @Description: 缓存实例
 * @author: gaodm
 * @time: 2019/5/22 15:29
 */
@Component
public class CacheFacade {
    //    @CacheEvict(cacheNames = "tagCache", allEntries = true)
    @Caching(evict = { @CacheEvict(value = "tagCache", key = "'tag:'+#p0+'_1'"),
            @CacheEvict(value = "tagCache", key = "'tag:'+#p0+'_2'") })
    public void clearCache(Long id) {
    }
}