package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/12 13:17
 */
@Getter
@Setter
public class GetQuestionInfoVO {
    /**
     * 标签名称
     */
    private String tagName;

    /**
     * 科室id
     */
    @NotNull(message = "科室id不能为空")
    private String deptId;

    /**
     * 需要去掉的标签id
     */
    private List<Long> noIds;

    /**
     * 归属类型
     */
    @NotNull(message = "归属类型不能为空")
    private Integer type;
}
