package com.diagbot.client;

import com.diagbot.biz.push.entity.ResponseData;
import com.diagbot.client.bean.Response;
import com.diagbot.client.hystrix.AIServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/8/20 15:20
 */
@FeignClient(name = "AI", url = "${ai.server.address}", fallback = AIServiceHystrix.class)
public interface AIServiceClient {

    @PostMapping(value = "/push-web/cache_file_manager/create_file")
    Response<ResponseData> createFile();
}
