package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 诊断依据表
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
public class DiagnosePageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;


    /**
     * 修改人姓名
     */
    private String modifier;

    /**
     * 诊断名称
     */
    private String disName;

    /**
     * 是否问题词
     */
    private String hasQuestion;

    /**
     * 记录更新图谱的时间,如果时间是1970年则表示纪录未修改
     */
    private Date neoUpdate;

    /**
     * 备注
     */
    private String remark;

}
