package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetAllInformationDTO {
	
    
    /**
     * 概念id
     */
	@ApiModelProperty(value="概念id")
    private Long conceptId;
    
    /**
     * 医学标准术语
     */
	@ApiModelProperty(value="医学标准术语")
    private String libName;
    
    /**
     * 术语类型
     */
	@ApiModelProperty(value="术语类型")
    private String libType;
    
    /**
     * 同义词
     */
	@ApiModelProperty(value="同义词")
    private String otherNames;
    
    /**
     * 操作人
     */
	@ApiModelProperty(value="操作人")
    private String operName;
    
    /**
     * 操作时间
     */
	@JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value="操作时间")
    private Date operTime;
    
	/**
     * 状态：Y-已删除，N-启用中
     */
	@ApiModelProperty(value="状态：Y-已删除，N-启用中")
	private String isDeleted;
    
    
    
    
    

}
