package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetConceptInfoDetailDTO {
    
    /**
     * 名称
     */
	@ApiModelProperty(value="名称")
    private String name;
    
	/**
	 * 拼音
	 */
	@ApiModelProperty(value="拼音")
	private String spell;
	
    /**
     * 类型id
     */
	@ApiModelProperty(value="类型id")
	private Long typeId;
	
    /**
     * 类型
     */
	@ApiModelProperty(value="类型")
    private String type;
    
    /**
     * 说明
     */
	@ApiModelProperty(value="说明")
    private String remark;
	
	/**
     * 是否标准词,1:是,0:否
     */
	@ApiModelProperty(value="是否标准词,1:是,0:否")
    private Integer isConcept;
    
    

}
