package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月26日 上午11:16:17
 */
@Setter
@Getter
public class IndexConfigAllDTO {
	@TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    
    private Long conceptId;
    /**
     * 指标公表名
     */
    @CryptField
    private String indexUnique;

    /**
     * 疾病id
     */
    private Long diseaseId;

    /**
     * 指标描述
     */
    private Integer indexDesc;

    /**
     * 显示顺序
     */
    private Integer orderNo;
}
