package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/1/30 15:46
 */
@Getter
@Setter
public class RuleAppDTO {
    /**
     * 索引号
     */
    private Integer id;

    //    /**
    //     * 是否删除,N:未删除，Y:删除
    //     */
    //    private String isDeleted;
    //
    //    /**
    //     * 记录创建时间
    //     */
    //    private Date gmtCreate;
    //
    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;
    //
    //    /**
    //     * 创建人，0表示无创建人值
    //     */
    //    private String creator;
    //
    //    /**
    //     * 修改人,如果为0则表示纪录未修改
    //     */
    //    private String modifier;

    /**
     * 操作人
     */
    private String operName;

    /**
     * 指标名称
     */
    private String ruleId;

    /**
     * 1：危急值提醒  2：开单合理性  3：管理评估  4：不良反应  5：药物推荐  6：病情提示
     */
    private String typeId;

    /**
     * 套餐名称是否必须参与匹配
     */
    private String remind;
    /**
     * 1：危急值提醒  2：开单合理性  3：管理评估  4：不良反应  5：药物推荐  6：病情提示
     */
    private String typeIdName;
}
