package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-30
 */
@TableName("kl_rule_pub")
public class RulePub implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 索引号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String pubName;

    private String ruleType;

    /**
     * 比较符
     */
    private String minOperator;

    /**
     * 索引值
     */
    private String minValue;

    private String minUnit;

    private String maxOperator;

    private String maxValue;

    /**
     * 数值单位
     */
    private String maxUnit;

    private String eqOperator;

    private String eqValue;

    private String eqUnit;

    /**
     * 推送的量表名称
     */
    private String remind;

    private String suffixInfo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getPubName() {
        return pubName;
    }

    public void setPubName(String pubName) {
        this.pubName = pubName;
    }
    public String getRuleType() {
        return ruleType;
    }

    public void setRuleType(String ruleType) {
        this.ruleType = ruleType;
    }
    public String getMinOperator() {
        return minOperator;
    }

    public void setMinOperator(String minOperator) {
        this.minOperator = minOperator;
    }
    public String getMinValue() {
        return minValue;
    }

    public void setMinValue(String minValue) {
        this.minValue = minValue;
    }
    public String getMinUnit() {
        return minUnit;
    }

    public void setMinUnit(String minUnit) {
        this.minUnit = minUnit;
    }
    public String getMaxOperator() {
        return maxOperator;
    }

    public void setMaxOperator(String maxOperator) {
        this.maxOperator = maxOperator;
    }
    public String getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(String maxValue) {
        this.maxValue = maxValue;
    }
    public String getMaxUnit() {
        return maxUnit;
    }

    public void setMaxUnit(String maxUnit) {
        this.maxUnit = maxUnit;
    }
    public String getEqOperator() {
        return eqOperator;
    }

    public void setEqOperator(String eqOperator) {
        this.eqOperator = eqOperator;
    }
    public String getEqValue() {
        return eqValue;
    }

    public void setEqValue(String eqValue) {
        this.eqValue = eqValue;
    }
    public String getEqUnit() {
        return eqUnit;
    }

    public void setEqUnit(String eqUnit) {
        this.eqUnit = eqUnit;
    }
    public String getRemind() {
        return remind;
    }

    public void setRemind(String remind) {
        this.remind = remind;
    }
    public String getSuffixInfo() {
        return suffixInfo;
    }

    public void setSuffixInfo(String suffixInfo) {
        this.suffixInfo = suffixInfo;
    }

    @Override
    public String toString() {
        return "RulePub{" +
            "id=" + id +
            ", pubName=" + pubName +
            ", ruleType=" + ruleType +
            ", minOperator=" + minOperator +
            ", minValue=" + minValue +
            ", minUnit=" + minUnit +
            ", maxOperator=" + maxOperator +
            ", maxValue=" + maxValue +
            ", maxUnit=" + maxUnit +
            ", eqOperator=" + eqOperator +
            ", eqValue=" + eqValue +
            ", eqUnit=" + eqUnit +
            ", remind=" + remind +
            ", suffixInfo=" + suffixInfo +
        "}";
    }
}
