package com.diagbot.facade;

import com.diagbot.biz.push.entity.ResponseData;
import com.diagbot.client.AIServiceClient;
import com.diagbot.client.bean.Response;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/8/20 15:30
 */
@Component
public class ReloadFacade {
    @Autowired
    private AIServiceClient aiServiceClient;

    /**
     * 词库热加载
     *
     * @return
     */
    public Boolean createFile() {
        Response<ResponseData> res = aiServiceClient.createFile();
        if (res == null) {
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "词库重新加载失败");
        }
        return true;
    }
}
