package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiseaseInfoDTO;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.Evaluation;
import com.diagbot.vo.DiseaseNameVO;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 管理与评估模板表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
public interface EvaluationMapper extends BaseMapper<Evaluation> {

    IPage<EvaluationModuleMappingDTO> queryEvaluationModulePageAll(@Param("evaluationModule") EvaluationDiseaseNameVO evaluationModule);

	List<DiseaseInfoDTO> queryEvaluationDiseaseName(@Param("diseaseNameVO") DiseaseNameVO diseaseNameVO);

}
