package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DiseaseInfoDTO;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.Evaluation;
import com.diagbot.vo.DiseaseNameVO;
import com.diagbot.vo.EvaluationDiseaseNameVO;

import java.util.List;

/**
 * <p>
 * 管理与评估模板表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
public interface EvaluationService extends IService<Evaluation> {

    IPage<EvaluationModuleMappingDTO> queryEvaluationModulePageAll(EvaluationDiseaseNameVO evaluationModuleDiseaseNameVO);

	List<DiseaseInfoDTO> queryEvaluationDiseaseName(DiseaseNameVO diseaseNameVO);

}
