package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DiseaseInfoDTO;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.entity.IndexConfig;
import com.diagbot.vo.DiseaseNameVO;
import com.diagbot.vo.IndexConfigDiseaseNameVO;

import java.util.List;

/**
 * <p>
 * 指标配置 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
public interface IndexConfigService extends IService<IndexConfig> {

	public IPage<IndexConfigDTO> queryIndexConfigPageAlls(IndexConfigDiseaseNameVO indexConfigDiseaseNameVO);

	public List<DiseaseInfoDTO> queryIndexConfigDiseaseName(DiseaseNameVO diseaseNameVO);

}
