package com.diagbot.service.impl;

import com.diagbot.dto.LibraryForDiagnoseDTO;
import com.diagbot.dto.RedisWithDiagnoseDTO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.mapper.LibraryInfoMapper;
import com.diagbot.service.LibraryInfoService;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 提示信息 服务实现类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
@Service
public class LibraryInfoServiceImpl extends ServiceImpl<LibraryInfoMapper, LibraryInfo> implements LibraryInfoService {


    @Override
    public List<LibraryForDiagnoseDTO> getLibraryForDiagnose() {
        return baseMapper.getLibraryForDiagnose();
    }

    @Override
    public Set<String> getLibraryForDiagnose2(){
        return baseMapper.getLibraryForDiagnose2();
    }

    @Override
    public Set<String> getLibraryForStandard() {
        return baseMapper.getLibraryForStandard();
    }

    @Override
    public List<RedisWithDiagnoseDTO> putRedis() {
        return baseMapper.putRedis();
    }


}
