package com.diagbot.vo;

import com.diagbot.entity.DiagnoseDetailSave;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 诊断依据表入参
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
@ApiModel
public class DiagnoseDetailSaveVO implements Serializable {

    @ApiModelProperty(value = "疾病特征")
    private List<DiagnoseDetailSave> disFeature = new ArrayList<>();

    @ApiModelProperty(value = "疾病公式")
    private List<DiagnoseDetailSave> disformula = new ArrayList<>();

}
