package com.diagbot.vo;

import java.io.Serializable;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 诊断依据问题词表
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
public class DiagnoseQuestionPageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 诊断名称
     */
    private String disName;

    /**
     * 类型
     */
    private String type;

    /**
     * 问题词
     */
    private String questionCode;

}
