package com.diagbot.vo;

import java.util.List;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class GetAllLisConceptVO {
    
    /**
     * 名称
     */
    @CryptField
    @ApiModelProperty(value="名称")
    private String conceptName;
    
    /**
     * 排除的名称
     */
    @ApiModelProperty(value="排除的名称")
    private List<String> excludedConceptNames;
   
    
}