package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 诊断依据表入参
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
public class GetDiagnoseDetailVO implements Serializable {

    @ApiModelProperty(value = "诊断依据主键")
    @NotNull(message="诊断依据id不能为空")
    private Long id;

}
