package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @description:
 * @author: zhoutg
 * @date: 2019/5/10 10:47
 */
@Getter
@Setter
public class IndexVO {
    @CryptField
    @NotBlank(message = "名称不能为空")
    private String name;
    @NotNull(message = "类型不能为空")
    private Integer type;
    @ApiModelProperty(hidden = true)
    private Integer libType;
}
