package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @description: 化验公表项检索
 * @author: zhoutg
 * @date: 2019/9/24 14:27
 */
@Getter
@Setter
public class LisMappingSearch {
    private String index;
    @CryptField
    private String mealName;        // 化验标准词套餐名称
    @CryptField
    @ApiModelProperty(hidden = true)
    private String tc;              // 化验同义词套餐名称
    @CryptField
    private String itemName;        // 化验标准词明细名称
    @CryptField
    @ApiModelProperty(hidden = true)
    private String mx;              // 化验同义词明细名称
    private String uniqueName;
}
