package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2019-10-25 14:10
 */
@Getter
@Setter
public class PacsSonContactListVO  extends Page {

    /**
     * 术语名称
     */
    @CryptField
    @ApiModelProperty(value="术语名称")
    private String name;

    /**
     * 术语类型
     */
    @ApiModelProperty(value="术语类型")
    private String type;

    /**
     * 状态：Y-已删除，N-启用中
     */
    @ApiModelProperty(value="状态：Y-已删除，N-启用中")
    private String isDeleted;
}
