package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class RemoveConceptInfoVO {
    
    /**
     * 概念id
     */
	@ApiModelProperty(value="概念id",required=true)
	@NotNull(message="概念id必传")
    private Long conceptId;
	
	/**
     * 状态：Y-删除，N-恢复
     */
	@NotBlank(message="状态必填")
	@ApiModelProperty(value="状态：Y-删除，N-恢复",required=true)
	private String isDeleted;
    
}