package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @description:
 * @author: ztg
 * @date: 2019/5/9 11:27
 */
@Getter
@Setter
public class ScaleContentPageVO extends Page {
    @ApiModelProperty(value = "状态值,已删除=Y，启用中=N")
    private String status;

    @ApiModelProperty(value = "量表名称")
    @CryptField
    private String name;

    @ApiModelProperty(value = "量表类型", hidden = true)
    private int libType;
}
