package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 更新版本信息
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月29日 下午4:01:30
 */
@Getter
@Setter
public class VersionInfoAllVO {
	/**
	 * 版本id
	 */
	@NotNull(message = "请输入id")
	private Long id;

	/**
	 * 产品类型
	 */
	@NotNull(message = "产品类型不能为空")
	private Integer productType;

	/**
     * 名称
     */
    private String name;

    /**
     * 时间
     */
    private String refreshTime;

    /**
     * 1：启动，0：不启用
     */
   // private String status;

    /**
     * 备注
     */
    private String remark;
}
