package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ReloadFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/8/20 15:35
 */
@RestController
@Api(value = "热加载API", tags = { "知识库标准化-词库热加载API" })
@RequestMapping(value = "/reload")
@SuppressWarnings("unchecked")
public class ReloadController {
    @Autowired
    ReloadFacade reloadFacade;

    @ApiOperation(value = "知识库标准化-词库热加载[by:zhaops]")
    @PostMapping("/createFile")
    @SysLogger("createFile")
    public RespDTO<Boolean> createFile() {
        return RespDTO.onSuc(reloadFacade.createFile());
    }
}
