package com.diagbot.dto;

import lombok.Data;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/3/17 9:49
 */
@Data
public class Node {
    private Integer category; // 所属列
    private String label = ""; // 显示名称
    private Long name;  // 主键
    private String symbol; // 呈现形态，中心节点：默认，关系：diamond，末梢节点如果有扩展，默认类型，无扩展，rect
    private String type; // 标签类型
    private Integer symbolSize = 0;

    public Node() {
    }

    public Node(Integer category, String lalel, Long name, Integer symbolSize) {
        this.category = category;
        this.label = lalel;
        this.name = name;
        this.symbolSize = symbolSize;
    }
}
