package com.diagbot.facade;

import com.diagbot.client.TermServiceClient;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.vo.TermVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-07-10 15:09
 */
@Component
public class TermFacade {
    @Autowired
    TermServiceClient termServiceClient;

    public String getTerms(TermVO termVO) {
        String similaritys = termServiceClient.similaritys(termVO);
        if(similaritys==null){
            throw new CommonException(CommonErrorCode.SERVER_IS_ERROR, "调用术语库服务失败");
        }
        return similaritys;
    }
}

