package com.diagbot.mapper;

import com.diagbot.dto.Categories;
import com.diagbot.dto.GraphDTO;
import com.diagbot.dto.NodeDTO;
import com.diagbot.dto.Tu;
import com.diagbot.dto.SchemaDTO;
import com.diagbot.vo.KgQueryVO;
import com.diagbot.vo.SchemaVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public interface KgMapper {

    List<NodeDTO> getNode(KgQueryVO kgQueryVO);

    List<GraphDTO> getGraph(KgQueryVO kgQueryVO);

    String getTree(KgQueryVO kgQueryVO);

    List<SchemaDTO> getSchema(SchemaVO schemaVO);

    List<Tu> getTu(KgQueryVO kgQueryVO);
}
