package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/3/17 9:00
 */
@Getter
@Setter
public class KgTreeVO {
    @ApiModelProperty(value = "类型")
    @NotNull(message = "类型不能为空")
    private Integer type;
    @ApiModelProperty(value = "子类型 默认:0")
    @NotNull(message = "子类型不能为空")
    private Integer subType;
}
