package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-03-13 16:11
 */
@Setter
@Getter
public class SchemaVO {
    @ApiModelProperty(value = "标签名")
    @NotBlank(message = "标签名不能为空")
    private String labelName;
    @ApiModelProperty(value = "搜索内容")
    @NotBlank(message = "搜索内容不能为空")
    private String pramNme;
}
