package com.diagbot.dto;

import com.diagbot.entity.BrRecdiagnose;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/1/19 10:20
 */
@Getter
@Setter
public class BABLDetailDTO {
    /**
     * 病人病案性别BRBAXB
     */
    private String brbaxb;
    /**
     * 病人病案血型BRBAXX
     */
    private String brbaxx;
    /**
     * 病人病案RH型BRBARH
     */
    private String brbarh;

    /**
     * 门急诊主要诊断名称
     */
    private String mjzzyzdmc;
    /**
     * 门急诊主要诊断列表
     */
    private List<BrRecdiagnose> mjzzyzdList;
    /**
     * 门急诊其他诊断名称
     */
    private String mjzqtzdmc;
    /**
     * 门急诊其他诊断列表
     */
    private List<BrRecdiagnose> mjzqtzdList;
    /**
     * 住院主要诊断名称
     */
    private String zyzyzdmc;

    /**
     * 住院主要诊断列表
     */
    private List<BrRecdiagnose> zyzyzdList;

    /**
     * 住院其他诊断名称
     */
    private String zyqtzdmc;
    /**
     * 住院其他诊断列表
     */
    private List<BrRecdiagnose> zyqtzdList;

    /**
     * 住院病历记录列表
     */
    private List<BLJLDetailDTO> zybljlList;
}