package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/28 13:35
 */
@Setter
@Getter
public class GetModuleDetailInfoDTO {

    /**
     * 前置内容
     */
    private String prefix;

    /**
     * 后置内容
     */
    private String suffix;

    /**
     * questionId
     */
    private Long questionId;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 标签类型
     */
    private Integer tagType;

    /**
     * 关联模板
     */
    private Long relationModule;

    /**
     * 子模板名称
     */
    private String relationModuleName;

    /**
     * 特殊标识
     */
    private String flag;

    /**
     * 必填（0：不必填，1：必填）
     */
    private Integer required;

    /**
     * 特殊标记（0：没有标记，1：拼接到主诉）
     */
    private Integer specFlag;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;
}
