package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/28 17:11
 */
@Setter
@Getter
public class GetModuleInfoOneDTO {
    //模板id
    private Long id;
    //模板名称
    private String name;
    //医院ID
    private Long hospitalId;
    //数据模块ID
    private Long modeId;
    private Integer defaultModule =0; //默认模版是否开启(0-否 1-是)
    //模板明细
    private Map<Integer, List<QcModuleDetailDTO>> moduleDetail;
    // 已选择的文书
    private List<MedRecordAnalyzeDTO> recordAnalyzeList;
    //备注
    private String remark;
}
