package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 16:09
 */
@Setter
@Getter
public class MedQcresultDetailAllDTO {
    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 模块id
     */
    private Long casesId;

    /**
     * 模块总分
     */
    private BigDecimal casesScore;

    /**
     * 条目ID
     */
    private Long casesEntryId;

    /**
     * 人工修改分值
     */
    private BigDecimal score;

    /**
     * 提示信息
     */
    private String msg;

    /**
     * 质控返回提示信息
     */
    private String info;

    /**
     * 单项否决（1-单项否决 0-非）
     */
    private Integer isReject;

    /**
     * 初始类型(1：机器，2：人工)
     */
    private Integer gradeType;

    /**
     * 操作类型(1：新增，2：删除，3：修改)
     */
    private Integer optType;

    /**
     * 是否满足
     */
    private Integer satisfy;
}
