package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 返回标签内容
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Getter
@Setter
public class ModuleQuestionDTO {

    private Long id;// id
    private String name;//key
    private String val;//value
    private String tagName;//标签名称
    private Integer controlType; //控件类型
    private Integer tagType; //标签标识
    private Integer groupId; //分组id
    private Integer retract; //缩进(0：不缩进 1：缩进)
    private Integer addLine; //换行(0：不换行，1：换行)
    private Integer bold;//换行(0：不换行，1：加粗)
    private String casesEntryIds;//质控条目id列表
    private List<ModuleQuestionDTO> questionMapping = new ArrayList<>();     //下级标签
}
