package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-04-27 10:09
 */
@Setter
@Getter
public class QcCasesEntryDTO {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 病历id
     */
    private Long casesId;

    private String casesName;

    /**
     * 数据模块ID-对应qc_mode.id
     */
    private Long modeId;

    private String modeName;

    private String code;

    /**
     * 条目
     */
    private String name;

    private String precond;

    /**
     * 顺序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;
}
