package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-03-10 18:58
 */
@Setter
@Getter
public class QcInputcasesAllDTO {
    /**
     * 主键
     */
    private Long id;


    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    private Integer hospitalId;

    /**
     * 入院记录
     */
    private String text;

    /**
     * 临床用血审核
     */
    private String clinicalBlood;

    /**
     * 会诊
     */
    private String consultation;

    /**
     * 死亡病例讨论
     */
    private String deathCaseDiscuss;

    /**
     * 死亡记录
     */
    private String deathRecord;

    /**
     * 疑难病例讨论
     */
    private String difficultCaseDiscuss;

    /**
     * 值班交接班
     */
    private String dutyShiftSystem;

    /**
     * 首次病程录
     */
    private String firstCourseRecord;

    /**
     * 出院小结
     */
    private String leaveHospital;

    /**
     * 分级护理
     */
    private String nursingSystem;

    /**
     * 手术期间讨论
     */
    private String operationDiscussion;

    /**
     * 术前讨论
     */
    private String preOperativeDiscussion;

    /**
     * 三级查房
     */
    private String threeLevelWard;

    /**
     * 危急值报告
     */
    private String criticalValue;

    /**
     * 备注
     */
    private String remark;

    private List<QcInputcasesMappingDTO> qcInputcasesMapping;
}
