package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Getter
@Setter
public class QcTypeDTO {
    // 主键
    private Long id;
    // 医院ID
    private Long hospitalId;
    // 质控类型名称
    private String name;
    // 质控类型和质控条目对应关系
    private Map<String, List<QcCasesEntrySimpleDTO>> entryMap;
    // 已选择质控类型列表
    private List<QcTypeSimpDTO> qcTypeSimpDTOList = new ArrayList<>();
}
