package com.diagbot.entity.wrapper;

import com.diagbot.vo.QuesCasesEntryVO;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 标签保存参数
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */

@Data
public class QuestionWrapper implements Serializable {
    private Long id; //主键
    private Long hospitalId; //医院ID
    private Long modeId; //数据模块ID
    private String tagName; //标签名
    private String name; //界面名称
    private String val; // value
    private Integer tagType; //标签显示类型
    private Integer controlType; //控件类型
    private Integer retract; // 缩进(0：不缩进 1：缩进)
    private Integer addLine; // 内容换行(0：不换行，1：换行)
    private Integer monoLine; // 独占一行(0：不换行，1：换行)
    private Integer bold; //换行(0：不换行，1：加粗)
    private Integer position; //显示位置(1：靠右显示)
    private List<QuestionMappingWrapper> questionMappings = new ArrayList<>(); //映射关系
    private List<QuesCasesEntryVO> quesCasesEntryVOList; // 质控条目明细
}
