package com.diagbot.facade;

import com.diagbot.dto.QcHospitalInfoAllDTO;
import com.diagbot.entity.BasHospitalInfo;
import com.diagbot.service.BasHospitalInfoService;
import com.diagbot.service.impl.BasHospitalInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-03-17 13:47
 */
@Component
public class BasHospitalInfoFacade extends BasHospitalInfoServiceImpl {

    @Autowired
    BasHospitalInfoService qcHospitalInfoService;

    /**
     *
     * @return
     */
    public List<QcHospitalInfoAllDTO> getHospitalInfoAll() {
        List<BasHospitalInfo> data = qcHospitalInfoService.list();
        List<QcHospitalInfoAllDTO> dataNew = new ArrayList<QcHospitalInfoAllDTO>();
        dataNew = BeanUtil.listCopyTo(data, QcHospitalInfoAllDTO.class);
        return dataNew;
    }
}
