package com.diagbot.facade;

import com.diagbot.dto.MedBehospitalDeptDTO;
import com.diagbot.service.MedBehospitalInfoService;
import com.diagbot.service.impl.MedBehospitalInfoServiceImpl;
import com.diagbot.vo.MedBehospitalDeptVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 10:23
 */
@Component
public class MedBehospitalInfoFacade extends MedBehospitalInfoServiceImpl {
    @Autowired
    MedBehospitalInfoService medBehospitalInfoService;

    public List<MedBehospitalDeptDTO> findhospitalDepts(MedBehospitalDeptVO medBehospitalDeptVO) {

        return medBehospitalInfoService.findhospitalDept(medBehospitalDeptVO);

    }
}
