package com.diagbot.facade;

import com.diagbot.dto.MedRecordAnalyzeDTO;
import com.diagbot.service.impl.MedRecordAnalyzeServiceImpl;
import com.diagbot.vo.ModuleIndexVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author zhoutg
 * @Description:
 * @date 2020-04-26 17:24
 */
@Component
public class MedRecordAnalyzeFacade extends MedRecordAnalyzeServiceImpl {

    public List<MedRecordAnalyzeDTO> getByModuleIdFac(Long id) {
        return this.getByModuleId(id);
    }

    public List<MedRecordAnalyzeDTO> indexFac(ModuleIndexVO moduleIndexVO) {
        return this.index(moduleIndexVO);
    }
}
