package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.MedRecordModule;
import com.diagbot.service.impl.MedRecordModuleServiceImpl;
import com.diagbot.vo.MedRecordModuleVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author zhoutg
 * @Description:
 * @date 2020-03-17 13:47
 */
@Component
public class MedRecordModuleFacade extends MedRecordModuleServiceImpl {

    /**
     * 获取所有的模板类型
     *
     * @param medRecordModuleVO
     * @return
     */
    public List<MedRecordModule> getList(MedRecordModuleVO medRecordModuleVO) {
        return this.list(new QueryWrapper<MedRecordModule>()
                .eq("hospital_id", medRecordModuleVO.getHospitalId())
                .eq("mode_id", medRecordModuleVO.getModeId())
        );
    }
}
