package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.CasesEntryHospital;
import com.diagbot.entity.StdQcresultDetail;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.StdQcresultDetailService;
import com.diagbot.service.impl.StdQcresultDetailServiceImpl;
import com.diagbot.vo.StdQcresultDetailVO;
import com.diagbot.vo.SthospitalInfoUpdataVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 10:50
 */
@Component
public class StdQcresultDetailFacade extends StdQcresultDetailServiceImpl {
    @Autowired
    StdQcresultDetailService stdQcresultDetailService;

    public Boolean addSthospitalInfos(StdQcresultDetailVO StdQcresultDetailVO) {
        //先删除原来的数据，再插入新的数据
        QueryWrapper<StdQcresultDetail> stdQcresultDetailQuery = new QueryWrapper<>();
        stdQcresultDetailQuery
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("hospital_id", StdQcresultDetailVO.getHospitalId())
                .eq("behospital_code", StdQcresultDetailVO.getBehospitalCode());
        boolean res = this.remove(stdQcresultDetailQuery);
        return stdQcresultDetailService.saveBatch(StdQcresultDetailVO.getQcresultDetail());
    }
}
