package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.MedQcresultDetailAllDTO;
import com.diagbot.entity.MedQcresultDetail;
import com.diagbot.vo.MedQcresultDetailAllVO;

import java.util.List;

/**
 * <p>
 * 质控评分明细信息
 * 每次评分增加一条信息，前面所有评分is_deleted全部设置为Y Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
public interface MedQcresultDetailMapper extends BaseMapper<MedQcresultDetail> {

    List<MedQcresultDetailAllDTO> getMedDetail(MedQcresultDetailAllVO medQcresultDetailAllVO);
}
