package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.MedRecordAnalyzeDTO;
import com.diagbot.entity.MedRecordAnalyze;
import com.diagbot.vo.ModuleIndexVO;

import java.util.List;

/**
 * <p>
 * 医院病历文书类型细分类主表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-26
 */
public interface MedRecordAnalyzeMapper extends BaseMapper<MedRecordAnalyze> {

    public List<MedRecordAnalyzeDTO> getByModuleId(Long moduleId);

    public List<MedRecordAnalyzeDTO> index(ModuleIndexVO moduleIndexVO);
}
