package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QcTypePageDTO;
import com.diagbot.entity.QcType;
import com.diagbot.vo.QcTypePageVO;

/**
 * <p>
 * 质控类型标准 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-14
 */
public interface QcTypeMapper extends BaseMapper<QcType> {

    /**
     * 获取标签列表
     *
     * @param qcTypePageVO
     * @return
     */
    IPage<QcTypePageDTO> getList(QcTypePageVO qcTypePageVO);
}
