package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.SthospitalInfoPageDTO;
import com.diagbot.dto.SthospitalInfoStatiDTO;
import com.diagbot.entity.StdBehospitalInfo;
import com.diagbot.vo.SthospitalInfoPageVO;
import com.diagbot.vo.SthospitalInfoStatiVO;

/**
 * <p>
 * 标准住院病历信息 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
public interface StdBehospitalInfoMapper extends BaseMapper<StdBehospitalInfo> {

    IPage<SthospitalInfoPageDTO> getStdPage(SthospitalInfoPageVO sthospitalInfoPageVO);

    IPage<SthospitalInfoStatiDTO> getStatistic(SthospitalInfoStatiVO sthospitalInfoStatiVO);
}
