package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.MedRecordAnalyzeDTO;
import com.diagbot.entity.MedRecordAnalyze;
import com.diagbot.vo.ModuleIndexVO;

import java.util.List;

/**
 * <p>
 * 医院病历文书类型细分类主表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-26
 */
public interface MedRecordAnalyzeService extends IService<MedRecordAnalyze> {

    public List<MedRecordAnalyzeDTO> getByModuleId(Long moduleId);

    public List<MedRecordAnalyzeDTO> index(ModuleIndexVO moduleIndexVO);
}
