package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QcInputcasesMappingDTO;
import com.diagbot.entity.QcInputcasesMapping;

import java.util.List;

/**
 * <p>
 * 病历录入关系 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */

public interface QcInputcasesMappingService extends IService<QcInputcasesMapping> {

    public List<QcInputcasesMappingDTO> getQcInputMappings(Long textId);

    public List<QcInputcasesMappingDTO> getInputMapping(String caseNumberId);
}
