package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.SthospitalInfoPageDTO;
import com.diagbot.dto.SthospitalInfoStatiDTO;
import com.diagbot.entity.StdBehospitalInfo;
import com.diagbot.vo.SthospitalInfoPageVO;
import com.diagbot.vo.SthospitalInfoStatiVO;

/**
 * <p>
 * 标准住院病历信息 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
public interface StdBehospitalInfoService extends IService<StdBehospitalInfo> {

    IPage<SthospitalInfoPageDTO> getStdPage(SthospitalInfoPageVO sthospitalInfoPageVO);

    IPage<SthospitalInfoStatiDTO> getStatistic(SthospitalInfoStatiVO sthospitalInfoStatiVO);
}
