package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.MedQcresultDetailAllDTO;
import com.diagbot.entity.MedQcresultDetail;
import com.diagbot.mapper.MedQcresultDetailMapper;
import com.diagbot.service.MedQcresultDetailService;
import com.diagbot.vo.MedQcresultDetailAllVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 质控评分明细信息
 * 每次评分增加一条信息，前面所有评分is_deleted全部设置为Y 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
@Service
public class MedQcresultDetailServiceImpl extends ServiceImpl<MedQcresultDetailMapper, MedQcresultDetail> implements MedQcresultDetailService {

    @Override
    public List<MedQcresultDetailAllDTO> getMedDetail(MedQcresultDetailAllVO medQcresultDetailAllVO) {
        return baseMapper.getMedDetail(medQcresultDetailAllVO);
    }
}
