package com.diagbot.service.impl;

import com.diagbot.dto.BLJLDetailDTO;
import com.diagbot.entity.MrMedicalrecords;
import com.diagbot.mapper.MrMedicalrecordsMapper;
import com.diagbot.service.MrMedicalrecordsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.BABLVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@Service
public class MrMedicalrecordsServiceImpl extends ServiceImpl<MrMedicalrecordsMapper, MrMedicalrecords> implements MrMedicalrecordsService {
    /**
     * 获取病历记录列表
     *
     * @param bablvo
     * @return
     */
    public List<BLJLDetailDTO> getBLJLList(BABLVO bablvo) {
        return this.baseMapper.getBLJLList(bablvo);
    }
}
