package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.entity.QcCases;
import com.diagbot.entity.QcCasesEntry;
import com.diagbot.mapper.QcCasesMapper;
import com.diagbot.service.QcCasesService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */
@Service
public class QcCasesServiceImpl extends ServiceImpl<QcCasesMapper, QcCases> implements QcCasesService {


    public List<QcCasesDTO> getCasesLists(Long casesId) {
        return baseMapper.getCasesList(casesId);
    }

    @Override
    public List<QcCasesEntryDTO> getCasesEntryByHospitalId(Long hospitalId) {
        return baseMapper.getCasesEntryByHospitalId(hospitalId);
    }
}
