package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.SthospitalInfoPageDTO;
import com.diagbot.dto.SthospitalInfoStatiDTO;
import com.diagbot.entity.StdBehospitalInfo;
import com.diagbot.mapper.StdBehospitalInfoMapper;
import com.diagbot.service.StdBehospitalInfoService;
import com.diagbot.vo.SthospitalInfoPageVO;
import com.diagbot.vo.SthospitalInfoStatiVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 标准住院病历信息 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
@Service
public class StdBehospitalInfoServiceImpl extends ServiceImpl<StdBehospitalInfoMapper, StdBehospitalInfo> implements StdBehospitalInfoService {

    @Override
    public IPage<SthospitalInfoPageDTO> getStdPage(SthospitalInfoPageVO sthospitalInfoPageVO) {
        return baseMapper.getStdPage(sthospitalInfoPageVO);
    }

    @Override
    public IPage<SthospitalInfoStatiDTO> getStatistic(SthospitalInfoStatiVO sthospitalInfoStatiVO) {
        return baseMapper.getStatistic(sthospitalInfoStatiVO);
    }
}
