package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.StdMissionDetailPageDTO;
import com.diagbot.entity.StdMissionDetail;
import com.diagbot.mapper.StdMissionDetailMapper;
import com.diagbot.service.StdMissionDetailService;
import com.diagbot.vo.StdMissionDetailPageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-12
 */
@Service
public class StdMissionDetailServiceImpl extends ServiceImpl<StdMissionDetailMapper, StdMissionDetail> implements StdMissionDetailService {

    @Override
    public IPage<StdMissionDetailPageDTO> getMissionDetailPage(StdMissionDetailPageVO stdMissionDetailPageVO) {
        return baseMapper.getMissionDetailPage(stdMissionDetailPageVO);
    }
}
