package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2020/3/30 16:55
 */
@Getter
@Setter
public class QcCasesEntryAllVO extends Page {

    /**
     * 病历id
     */
    private Long casesId;

    /**
     * 用于层级定义，由操作人控制录入，需按该列排序
     */
    private Long modeId;

    /**
     * 条目
     */
    private String name;

    /**
     * 控费标识(1：是控费条目，2：不是控费条目)
     */
    private Integer drgs;

    /**
     * 质控形式(1：形式质控，2：内涵CRF质控，3：内涵规则质控)
     */
    private Integer type;

    /**
     * 条目编码
     */
    private String code;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;

    /**
     * 开发状态标识： 0-未开发  1-已开发
     */
    private Integer devType;

    /**
     * 准确率类型：0-极高，1-高，2-中，3-低
     */
    private Integer accuracyType;
}
