package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description: 标签列表入参
 * @Author: ztg
 * @Date: 2018/12/13 10:07
 */
@Getter
@Setter
public class QuestionPageVO extends Page {

    // 备注名称
    private String tagName;
    // 标签标识(1：单标签 4：组合标签)
    private List<Integer> tagTypeList;
    // 控件类型，暂无用
    private List<Integer> controlTypeList;
    // 显示名称
    private String name;
    // 医院ID
    private Long hospitalId;
    // 模块id
    private Long modeId;
}
