package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/24 11:35
 */
@Getter
@Setter
public class UpdateModuleInfoVO {
    @NotNull(message="模板id不能为空")
    private Long id;
    @NotNull(message="模板名称不能为空")
    private String name;
    private Long hospitalId; //医院ID
    private Long modeId; //数据模块ID
    private Integer defaultModule =0;//默认模版是否开启(0-否 1-是)
    private List<Long> recordIdList ; //med_record_analyze的id列表
    @NotNull(message="明细不能为空")
    private List<AddModuleDetailVO> moduleDetail;
    private String remark;
}
