package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.MrqcToken;
import com.diagbot.mapper.MrqcTokenMapper;
import com.diagbot.service.MrqcTokenService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.MrqcTokenPageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 病历质控token信息 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-12-23
 */
@Service
public class MrqcTokenServiceImpl extends ServiceImpl<MrqcTokenMapper, MrqcToken> implements MrqcTokenService {

    @Override
    public IPage<MrqcToken> getList(MrqcTokenPageVO mrqcTokenPageVO) {
        return baseMapper.getList(mrqcTokenPageVO);
    }
}
