package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 病历质控token信息
 * </p>
 *
 * @author zhoutg
 * @since 2019-12-23
 */
@Getter
@Setter
public class MrqcTokenPageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 修改人姓名
     */
    private String modified;

    /**
     * 服务商
     */
    private String server;

    /**
     * 医院
     */
    private String hospital;

    /**
     * cpu
     */
    private String cpu;

    /**
     * 主板信息
     */
    private String mainboard;

    /**
     * 硬盘信息
     */
    private String disk;

    /**
     * ip
     */
    private String ip;

}
