package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: rengb
 * @time: 2019/12/3 13:44
 */
@Getter
@Setter
public class InquiryDetailFlatDTO {

    /**
     * 主诉
     */
    @ApiModelProperty(value = "主诉")
    private String chiefComplaint;

    /**
     * 现病史
     */
    @ApiModelProperty(value = "现病史")
    private String xbs;

    /**
     * 其他史
     */
    @ApiModelProperty(value = "其他史")
    private String qts;

    /**
     * 补充内容
     */
    @ApiModelProperty(value = "补充内容")
    private String supplement;

    /**
     * 儿童体质辨识测试
     */
    @ApiModelProperty(value = "儿童体质辨识测试")
    private String physicalRes;

    /**
     * 最近一次报告图
     */
    @ApiModelProperty(value = "最近一次报告图")
    private List<GetInquiryDetailImgDTO> imageList;

}
