package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value = "患者登录接口出参")
@Getter
@Setter
public class SignInDTO {

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码")
    private String hospitalCode;

    /**
     * 医院名称
     */
    @ApiModelProperty(value = "医院名称")
    private String hospitalName;

    /**
     * 子医院编号
     */
    @ApiModelProperty(value = "子医院编号")
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    @ApiModelProperty(value = "子医院名称")
    private String sonHospitalName;

    /**
     * 医院科室编码
     */
    @ApiModelProperty(value = "医院科室编码")
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    @ApiModelProperty(value = "医院科室名称")
    private String hospitalDeptName;

    /**
     * 医生编码
     */
    @ApiModelProperty(value = "医生编码")
    private String doctorCode;

    /**
     * 医生姓名
     */
    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    /**
     * 病人编号
     */
    @ApiModelProperty(value = "病人编号")
    private String patientCode;

    /**
     * 病人姓名
     */
    @ApiModelProperty(value = "病人姓名")
    private String patientName;

    /**
     * 挂号时间
     */
    @ApiModelProperty(value = "挂号时间")
    private String recordTime;

    /**
     * 就诊号
     */
    @ApiModelProperty(value = "就诊号")
    private String recordId;

    /**
     * 挂号信息
     */
    @ApiModelProperty(value = "挂号信息")
    private String registerNum;


}
