package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.DisclaimerInformationVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月27日 下午3:36:14
 */
@Component
public class DisclaimerInformationFacade {

    @Autowired
    private AiptServiceClient aiptServiceClient;

    /**
     * @return
     */
    public List<DisclaimerInformationDTO> getDisclaimerInformation() {
        DisclaimerInformationVO disclaimerInformationVO = new DisclaimerInformationVO();
        disclaimerInformationVO.setType(3);
        RespDTO<List<DisclaimerInformationDTO>> res = aiptServiceClient.getDisclaimerInformations(disclaimerInformationVO);
        RespDTOUtil.respNGDealCover(res, "获取免责声明失败");
        return res.data;
    }

}
