package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/6/14 13:43
 */
@Getter
@Setter
public class PushVO {
    @NotNull(message = "请输入年龄")
    private Integer age;
    @NotNull(message = "请输入性别")
    private Integer sex;
    @ApiModelProperty(hidden = true)
    private String featureType;
    private String symptom;
    @NotBlank(message = "请输入医院编码")
    private String hosCode;
    @ApiModelProperty(hidden = true)
    private String ruleType;   //规则类型
}