package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/27 14:58
 */
@Getter
@Setter
public class RetrievalVO {
    @ApiModelProperty(hidden = true)
    private Integer type;
    @NotNull(message = "请输入病人年龄")
    private Integer age;
    @NotBlank(message = "请输入检索内容")
    private String InputStr;
    @NotNull(message = "请输入病人性别")
    private Integer sexType;
    //需要去重的id
    private List<Long> inputIds;
}
