package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;
import com.diagbot.mapper.QuestionInfoMapper;
import com.diagbot.service.QuestionInfoService;
import com.diagbot.vo.QuestionPageVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
@Service
public class QuestionInfoServiceImpl extends ServiceImpl<QuestionInfoMapper, QuestionInfo> implements QuestionInfoService {

    @Override
    public QuestionInfo getByParam(Map map) {
        return baseMapper.getByParam(map);
    }

    @Override
    public void deleteByIds(Map map) {
        baseMapper.deleteByIds(map);
    }

    @Override
    public List<QuestionInfo> index(Map map) {
        return baseMapper.index(map);
    }

    @Override
    public List<QuestionInfo> getParentQuestion(Long id) {
        return baseMapper.getParent(id);
    }

    @Override
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map) {
        return baseMapper.getByQuestionMapping(map);
    }

    @Override
    public IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO) {
        return baseMapper.getList(questionPageVO);
    }

}
