package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/24 11:35
 */
@Getter
@Setter
public class AddModuleInfoVO {
    //模板id，修改时传，新增不用传
    private Long id;
    @NotNull(message = "模板名称不能为空")
    private String name;
    @NotNull(message = "模板归属不能为空")
    private String type;
    //特殊标签归属类型
    private Integer textType;
    //标签id
    private List<AddModuleDetailVO> moduleDetail;
    @NotNull(message = "模板类型不能为空")//模板类型（通用，普通，慢病）
    private Long moduleType;
    //关联id
    private Long relationId;
    //备注
    private String remark;
}