package com.diagbot.dto;

import com.diagbot.entity.DoctorInfo;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 对接-医院返回挂号信息-详情
 * @author: rengb
 * @time: 2019/11/20 9:57
 */
@Getter
@Setter
public class RegisterInfoDetailDTO {

    /**
     * 医院科室编码
     */
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    private String hospitalDeptName;

    /**
     * 医生信息
     */
    private DoctorInfo doctorInfo;

    /**
     * 挂号时间
     */
    private String recordTime;

    /**
     * 就诊号
     */
    private String recordId;

    /**
     * 挂号信息
     */
    private String registerNum;

}