package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@Getter
@Setter
public class SignInDTO {

    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 子医院编号
     */
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    private String sonHospitalName;

    /**
     * 医院科室编码
     */
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    private String hospitalDeptName;

    /**
     * 医生编码
     */
    private String doctorCode;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 病人编号
     */
    private String patientCode;

    /**
     * 病人姓名
     */
    private String patientName;

    /**
     * 挂号时间
     */
    private String recordTime;

    /**
     * 就诊号
     */
    private String recordId;

    /**
     * 挂号信息
     */
    private String registerNum;

    public SignInDTO() {

    }

    public SignInDTO(String hospitalCode, String hospitalName, String sonHospitalCode, String sonHospitalName,
                     String hospitalDeptCode, String hospitalDeptName, String doctorCode, String doctorName,
                     String patientCode, String patientName, String recordTime, String recordId, String registerNum) {
        this.hospitalCode = hospitalCode;
        this.hospitalName = hospitalName;
        this.sonHospitalCode = sonHospitalCode;
        this.sonHospitalName = sonHospitalName;
        this.hospitalDeptCode = hospitalDeptCode;
        this.hospitalDeptName = hospitalDeptName;
        this.doctorCode = doctorCode;
        this.doctorName = doctorName;
        this.patientCode = patientCode;
        this.patientName = patientName;
        this.recordTime = recordTime;
        this.recordId = recordId;
        this.registerNum = registerNum;
    }

}
