package com.diagbot.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.SysHospitalDeptInfoDTO;
import com.diagbot.entity.SysSet;
import com.diagbot.vo.HospitalSetVO;
import com.diagbot.vo.SysHospitalInfoVO;

/**
 * <p>
 * 医院所有配置信息 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2019-06-12
 */
public interface SysSetService extends IService<SysSet> {

	public List<SysSet> querySysSetInfo(HospitalSetVO hospitalSetVO);

	public List<SysHospitalDeptInfoDTO>  getjuniorHospitalData(SysHospitalInfoVO sysHospitalInfoVO);


}
