package com.diagbot.service.impl;

import java.util.List;

import com.diagbot.dto.SysHospitalDeptInfoDTO;
import com.diagbot.vo.SysHospitalInfoVO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.SysSet;
import com.diagbot.mapper.SysSetMapper;
import com.diagbot.service.SysSetService;
import com.diagbot.vo.HospitalSetVO;

/**
 * <p>
 * 医院所有配置信息 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-06-12
 */
@Service
public class SysSetServiceImpl extends ServiceImpl<SysSetMapper, SysSet> implements SysSetService {

	@Override
	public List<SysSet> querySysSetInfo(HospitalSetVO hospitalSetVO) {
		return baseMapper.querySysSetInfo(hospitalSetVO);
	}

	@Override
	public List<SysHospitalDeptInfoDTO> getjuniorHospitalData(SysHospitalInfoVO sysHospitalInfoVO) {
		return baseMapper.getjuniorHospitalData(sysHospitalInfoVO);
	}

}
