package com.diagbot.service.impl;

import com.diagbot.dto.LisConfigDTO;
import com.diagbot.entity.TranLisConfig;
import com.diagbot.mapper.TranLisConfigMapper;
import com.diagbot.service.TranLisConfigService;
import com.diagbot.vo.LisHospitalCodeVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 套餐字段映射公表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-02-13
 */
@Service
public class TranLisConfigServiceImpl extends ServiceImpl<TranLisConfigMapper, TranLisConfig> implements TranLisConfigService {

	@Override
	public List<LisConfigDTO> getLisConfigByhospitalId(LisHospitalCodeVO lisHospitalCodeVO) {
		return baseMapper.getLisConfigByhospitalIds(lisHospitalCodeVO);
	}

}
