package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@Getter
@Setter
public class InquiryQuoteDoctorVO {

    /**
     * id
     */
    private Long id;

    /**
     * 医生编码
     */
    private String code;

    /**
     * 医生姓名
     */
    private String name;

    /**
     * 医生性别，0-未知、1-男、2-女
     */
    private Integer sex;

    /**
     * 证件类型
     */
    private String idType;

    /**
     * 证件号码
     */
    private String idNo;

    /**
     * 家庭住址
     */
    private String address;

    /**
     * 联系电话
     */
    private String phone;

}