package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/2/3 9:21
 */
@Getter
@Setter
public class OptVO {
    //医院名称
    private String hospitalCode;
    //开始时间
    @ApiModelProperty(value="开始时间，格式为：2018-11-28 17:25:30")
    @DateTimeFormat(pattern="yyyy-MM-dd hh:mm:ss")
    private Date startDate;
    //结束时间
    @ApiModelProperty(value="结束时间，格式为：2018-11-28 17:25:30")
    @DateTimeFormat(pattern="yyyy-MM-dd hh:mm:ss")
    private Date endDate;
    /**
     * 访问的系统类型 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web
     */
    private Integer sysType;
    //医院名称列表
    private List<String> hospitalCodeList;

    private Integer wayType;
}
