package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@Getter
@Setter
public class SignInVO {
	
	/**
	 * 医院编号
	 */
	private String hospitalCode;

	/**
	 * 医院名称
	 */
	private String hospitalName;

	/**
	 * 子医院编号
	 */
	private String sonHospitalCode;

	/**
	 * 子医院名称
	 */
	private String sonHospitalName;
	
	/**
     * 患者信息类型,101-身份证、102-病历号、103-手机号、104-市民卡卡号
     */
    private String patientInfoType;
	
	/**
     * 患者信息
     */
    private String patientInfo;
    
    /**
     * 患者姓名
     */
    private String patientName;

   
    
}
