package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/3/20 15:37
 */
@Getter
@Setter
public class SYFFeatureDTO {
    @CryptField
    private String featureName;
    @CryptField
    private String extraProperty;
    private String desc;
    private String rate;
    private String diseaseName;
    private String deptName;
    private String subDeptName;
    private String concatDept;
    private String deptCode;
    private String subDeptCode;
    private String url;
    private String suggestion;
    private List<HospitalDeptDTO> hospitalDepts;
}
