package com.diagbot.facade;

import com.diagbot.client.TranServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SaveInquiryTriageDTO;
import com.diagbot.vo.SaveInquiryTriageVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author wangfeng
 * @Description:
 * @date 2020/3/23 15:02
 */
@Component
public class InquiryTriageFacade  {

    @Autowired
    TranServiceClient tranServiceClient;

    /**
     * @param saveInquiryVO
     * @return
     */
    public SaveInquiryTriageDTO saveInquiry(SaveInquiryTriageVO saveInquiryVO) {
        RespDTO<SaveInquiryTriageDTO> data = tranServiceClient.saveInquiry(saveInquiryVO);
        SaveInquiryTriageDTO dataNew =data.data;
        return dataNew;
    }
}