package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/5/10 10:20
 */
@Getter
@Setter
public class ConceptRetrievalExtDTO {

    private Long selfId;//本身概念id
    @CryptField
    private String selfName;//本身名称
    private Long parentId;//父级id
    @CryptField
    private String parentName;//父级名称
    @CryptField
    private String sameName;//同义词名称
    private Long showType;//显示类型（1本体，0同义词）
    private Long libTypeId;//标签类型id
    private String libTypeName;//标签类型名称
    private Integer type;//questionType
    private String description;
    private String explains;
}
