package com.diagbot.entity.wrapper;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description: 概念查询参数
 * @author: gaodm
 * @time: 2019/5/6 16:05
 */
@Getter
@Setter
public class ConceptWrapper {
    //关系起点术语id
    private Long startId;
    //关系起点术语名称
    private String startName;
    //关系起点术语性别类型
    private Integer startSex;
    //关系起点术语年龄
    private Integer startAge;
    //关系起点术语类型
    private Integer startType;
    //关系类型
    private Integer relationType;
    //关系终点术语id
    private Long endId;
    //关系终点术语名称
    private String endName;
    //关系终点术语性别类型
    private Integer endSex;
    //关系终点术语年龄
    private Integer endAge;
    //关系终点术语类型
    private Integer endType;
    //关系起点术语名称列表
    private List<String> startNameList;
    //关系终点术语名称列表
    private List<String> endNameList;

}
