package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.vo.ConceptDetailPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 提示信息明细表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
public interface ConceptDetailMapper extends BaseMapper<ConceptDetail> {
    List<ConceptDetail> selectByParam(ConceptDetail conceptDetail);

    IPage<ConceptDetail> selectiveTestPage(@Param("conceptDetailPageVO") ConceptDetailPageVO conceptDetailPageVO);
}
