package com.diagbot.mapper;

import com.diagbot.dto.EvaluationDTO;
import com.diagbot.entity.Evaluation;
import com.diagbot.vo.EvaluationDiseaseNameVO;

import java.util.List;

import javax.validation.Valid;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 管理与评估模板表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-06
 */
public interface EvaluationMapper extends BaseMapper<Evaluation> {

	List<EvaluationDTO> getEvaluationModule(@Param("evaluationModule") EvaluationDiseaseNameVO evaluationdiseaseNameVO);

}
