package com.diagbot.service;

import com.diagbot.dto.EvaluationDTO;
import com.diagbot.entity.Evaluation;
import com.diagbot.vo.EvaluationDiseaseNameVO;

import java.util.List;

import javax.validation.Valid;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 管理与评估模板表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-06
 */
public interface EvaluationService extends IService<Evaluation> {

	List<EvaluationDTO> getEvaluationModule(@Valid EvaluationDiseaseNameVO evaluationdiseaseNameVO);

}
