package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ConceptDetail;
import com.diagbot.mapper.ConceptDetailMapper;
import com.diagbot.service.ConceptDetailService;
import com.diagbot.vo.ConceptDetailPageVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 提示信息明细表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2019-05-06
 */
@Service
public class ConceptDetailServiceImpl extends ServiceImpl<ConceptDetailMapper, ConceptDetail> implements ConceptDetailService {

    public List<ConceptDetail> selectByParam(ConceptDetail conceptDetail) {
        return this.baseMapper.selectByParam(conceptDetail);
    }

    public IPage<ConceptDetail> selectiveTestPage(ConceptDetailPageVO conceptDetailPageVO) {
        return this.baseMapper.selectiveTestPage(conceptDetailPageVO);
    }
}
