package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ScaleIndexDTO;
import com.diagbot.entity.DisScale;
import com.diagbot.mapper.DisScaleMapper;
import com.diagbot.service.DisScaleService;
import com.diagbot.vo.ScaleIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断量表映射表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-11
 */
@Service
public class DisScaleServiceImpl extends ServiceImpl<DisScaleMapper, DisScale> implements DisScaleService {

    @Override
    public List<ScaleIndexDTO> indexScale(ScaleIndexVO scaleIndexVO) {
        return baseMapper.indexScale(scaleIndexVO);
    }
}
