package com.diagbot.vo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/12/31 17:15
 */
@Getter
@Setter
public class ConceptDetailPageVO extends Page {

    /**
     * 提示明细标题
     */
    @CryptField
    private String title;

    /**
     * 提示明细内容
     */
    @CryptField
    private String content;

    /**
     * 纯文本
     */
    @CryptField
    private String text;
}
