package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 诊断量表入参
 * @author: zhoutg
 * @time: 2018/8/6 10:16
 */
@Getter
@Setter
public class DisScaleVO {
    @CryptField
    @NotBlank(message = "疾病名称不能为空")
    private String disName;
}
