package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/9/20 14:01
 */
@Getter
@Setter
public class GetLisMappingVO {
    @CryptField
    @NotBlank(message = "请输入化验套餐项")
    private String project;
    private List<String> details;
}