package com.diagbot.aggregate;

import com.diagbot.dto.BIItemDTO;
import com.diagbot.util.ListUtil;
import io.github.lvyahui8.spring.annotation.DataConsumer;
import io.github.lvyahui8.spring.annotation.DataProvider;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/10/16 13:37
 */
@Component
public class BiAggregate {
    @DataProvider("biAll")
    public List<BIItemDTO> biAll(
            @DataConsumer("conceptDetailBI") List<BIItemDTO> biItemDTOListA,
            @DataConsumer("queryLibTypeCou") List<BIItemDTO> biItemDTOListB,
            @DataConsumer("precGetCount") List<BIItemDTO> biItemDTOListC,
            @DataConsumer("neoStatistics") List<BIItemDTO> biItemDTOListD) {
        List<BIItemDTO> res = ListUtil.newArrayList();
        res.addAll(biItemDTOListA);
        res.addAll(biItemDTOListB);
        res.addAll(biItemDTOListC);
        res.addAll(biItemDTOListD);
        return res;
    }
}
