package com.diagbot.client;

import com.diagbot.client.hystrix.IcssmanServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * @Description: 调用ICSS后台
 * @author: gaodm
 * @time: 2019/10/15 11:08
 */
@FeignClient(value = "icssman-service", fallback = IcssmanServiceHystrix.class)
public interface IcssmanServiceClient {

}