package com.diagbot.client.hystrix;

import com.diagbot.client.KnowledgemanServiceClient;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.PrecCountDTO;
import com.diagbot.dto.RespDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 调用知识库后台
 * @author: gaodm
 * @time: 2019/10/15 11:08
 */
@Component
@Slf4j
public class KnowledgemanServiceHystrix implements KnowledgemanServiceClient {
    @Override
    public RespDTO<List<BIItemDTO>> conceptDetailBI() {
        log.error("【hystrix】调用{}异常", "conceptDetailBI");
        return null;
    }

    @Override
    public RespDTO<List<BIItemDTO>> queryLibTypeCou() {
        log.error("【hystrix】调用{}异常", "queryLibTypeCou");
        return null;
    }
}