package com.diagbot.client.hystrix;

import com.diagbot.client.PrecmanServiceClient;
import com.diagbot.dto.BIItemDTO;
import com.diagbot.dto.RespDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: 调用智能预问诊后台
 * @author: gaodm
 * @time: 2019/10/15 11:08
 */
@Component
@Slf4j
public class PrecmanServiceHystrix implements PrecmanServiceClient {

    @Override
    public RespDTO<BIItemDTO> getCount() {
        log.error("【hystrix】调用{}异常", "getCount");
        return null;
    }
}