package com.diagbot.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.web.bind.annotation.GetMapping;

import java.io.Serializable;
import java.util.Date;

/**
 * @author kwz
 * @date 2021/3/9
 * @time 14:04
 */
@Setter
@Getter
public class DiseasePageDTO  {

    /**
     * 主键
     */
    private Long id;
    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;


    /**
     * 修改人姓名
     */
    private String modifier;

    /**
     * 诊断名称
     */
    private String disName;
}
