package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/3/17 13:19
 */
@Getter
@Setter
public class LexiconDTO {
    private Integer libType;
    private String libTypeName;

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        LexiconDTO lexiconDTO = (LexiconDTO) o;
        return Objects.equals(libType, lexiconDTO.libType)
                && Objects.equals(libTypeName, lexiconDTO.libTypeName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(libType, libTypeName);
    }
}
