package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/20 15:51
 */
@Getter
@Setter
public class StaticKnowledgeDTO {
    /**
     * 标准术语id
     */
    private Long id;
    /**
     * 标准术语
     */
    private String name;

    /**
     * 词性
     */
    private String type;

    /**
     * 临床路径名称
     */
    private String clinicalPathwayName;

    /**
     * 注意事项名称
     */
    private String noticeName;

    /**
     * 静态知识明细
     */
    private Map<String, List<StaticKnowledgeDetailDTO>> details;
}
