package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-06 9:38
 */
@Getter
@Setter
public class VersionWrapperDTO {

    private Long id;
    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 创建人，0表示无创建人值
     */
    //private String creator;

    private String modifierid;


    /**
     * 名称
     */
    private String name;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date refreshTime;

    /**
     * 1：启动，0：不启用
     */
    private String status;

    private List<VersionDetailDTO> detail;
    /**
     * 备注
     */
    private String remark;

}

