package com.diagbot.facade;

import com.diagbot.client.CdssCoreClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.KlRuleMenuWrapper;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.KlRuleMenuVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-09 15:30
 */
@Component
public class KlRulePlanFacade {
    @Autowired
    CdssCoreClient cdssCoreClient;

    public List<KlRuleMenuWrapper> getMenu(KlRuleMenuVO klRuleMenuVO) {
        RespDTO<List<KlRuleMenuWrapper>> menus = cdssCoreClient.getMenus(klRuleMenuVO);
        RespDTOUtil.respNGDeal(menus, "获取规则下拉菜单信息数据失败");
        return menus.data;
    }
}
