package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultHighriskDrug;
import com.diagbot.service.impl.ResultHighriskDrugServiceImpl;
import com.diagbot.util.ExcelUtils;
import com.diagbot.vo.ResultHighriskDrugPageVO;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/15 10:18
 */
@Component
public class ResultHighriskDrugFacade extends ResultHighriskDrugServiceImpl {
    /**
     * 数据导出
     *
     * @param response
     * @param resultHighriskDrugPageVO
     */
    public void exportExcel(HttpServletResponse response, ResultHighriskDrugPageVO resultHighriskDrugPageVO) {
        resultHighriskDrugPageVO.setSize(-1L);
        IPage<ResultHighriskDrug> page = this.getPage(resultHighriskDrugPageVO);
        String fileName = "高危药品规则测试结果导出.xls";
        ExcelUtils.exportExcel(page.getRecords(), null, "sheet1", ResultHighriskDrug.class, fileName, response, 12.8f);
    }
}
