package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultOtherLis;
import com.diagbot.service.impl.ResultOtherLisServiceImpl;
import com.diagbot.util.ExcelUtils;
import com.diagbot.vo.ResultPageVO;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletResponse;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/19 16:46
 */
@Component
public class ResultOtherLisFacade extends ResultOtherLisServiceImpl {
    /**
     * 数据导出
     *
     * @param response
     * @param resultPageVO
     */
    public void exportExcel(HttpServletResponse response, ResultPageVO resultPageVO) {
        resultPageVO.setSize(-1L);
        IPage<ResultOtherLis> page = this.getPage(resultPageVO);
        String fileName = "化验其他值提醒规则测试结果导出.xls";
        ExcelUtils.exportExcel(page.getRecords(), null, "sheet1", ResultOtherLis.class, fileName, response, 12.8f);
    }
}
