package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiseaseAllDetailDTO;
import com.diagbot.dto.DiseasePageDTO;
import com.diagbot.entity.KlDisease;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.DiseaseDeleteVO;
import com.diagbot.vo.DiseasePageVO;
import com.diagbot.vo.GetDiseaseDetailVO;

import java.util.List;

/**
 * <p>
 * 疾病表 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
public interface KlDiseaseMapper extends BaseMapper<KlDisease> {

    IPage<DiseasePageDTO> getDiseasePage(DiseasePageVO klConceptInfoVO);
    List<DiseasePageDTO> getDiseaseAll(DiseaseDeleteVO diseaseDeleteVO);
    List<DiseaseAllDetailDTO> getDiseaseAllDetaill(GetDiseaseDetailVO getDiseaseDetailVO);
}
