package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultCritical;
import com.diagbot.vo.ResultCriticalPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-01-08
 */
public interface ResultCriticalMapper extends BaseMapper<ResultCritical> {
    IPage<ResultCritical> getPage(@Param("resultCriticalPageVO") ResultCriticalPageVO resultCriticalPageVO);
}
