package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ResultRulePageDTO;
import com.diagbot.entity.ResultRule;
import com.diagbot.vo.ResultRulePageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-03-09
 */
public interface ResultRuleMapper extends BaseMapper<ResultRule> {

    IPage<ResultRulePageDTO> getPage(@Param("resultRulePageVO") ResultRulePageVO resultRulePageVO);
}
