package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DisclaimerInfoDTO;
import com.diagbot.entity.DisclaimerInfo;
import com.diagbot.mapper.DisclaimerInfoMapper;
import com.diagbot.service.DisclaimerInfoService;
import com.diagbot.vo.DisclaimerInfoTitleVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 免责申明详情 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-05
 */
@Service
public class DisclaimerInfoServiceImpl extends ServiceImpl<DisclaimerInfoMapper, DisclaimerInfo> implements DisclaimerInfoService {

    @Override
    public IPage<DisclaimerInfoDTO> getDisclaimerInformationAll(DisclaimerInfoTitleVO disclaimerInfoTitleVO) {
        return baseMapper.getDisclaimerInfoAll(disclaimerInfoTitleVO);
    }
}
