package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlLexiconRelationshipDTO;
import com.diagbot.entity.KlLexiconRelationship;
import com.diagbot.mapper.KlLexiconRelationshipMapper;
import com.diagbot.service.KlLexiconRelationshipService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.KlLexiconRelationshipVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 术语关系分类表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlLexiconRelationshipServiceImpl extends ServiceImpl<KlLexiconRelationshipMapper, KlLexiconRelationship> implements KlLexiconRelationshipService {
    @Override
    public IPage<KlLexiconRelationshipDTO> getPage(KlLexiconRelationshipVO klLexiconRelationshipVO){
        return baseMapper.getPage(klLexiconRelationshipVO);
    }
}
