package com.diagbot.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.RuleDTO;
import com.diagbot.entity.KlRule;
import com.diagbot.mapper.KlRuleMapper;
import com.diagbot.service.KlRuleService;
import com.diagbot.vo.RuleVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 规则信息表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-03-01
 */
@Service
@DS("med")
public class KlRuleServiceImpl extends ServiceImpl<KlRuleMapper, KlRule> implements KlRuleService {
    public List<RuleDTO> getRules(RuleVO ruleVO) {
        return baseMapper.getRules(ruleVO);
    }
}
