package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.PlanInfoPagesDTO;
import com.diagbot.entity.Plan;
import com.diagbot.mapper.PlanMapper;
import com.diagbot.service.PlanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.HospitalPlanPageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-07
 */
@Service
public class PlanServiceImpl extends ServiceImpl<PlanMapper, Plan> implements PlanService {

    @Override
    public IPage<PlanInfoPagesDTO> getPlanInfoPageAll(HospitalPlanPageVO hospitalPlanPageVO) {
        return baseMapper.getPlanInfoPageAll(hospitalPlanPageVO);
    }
}
