package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.ResultHighriskDrug;
import com.diagbot.mapper.ResultHighriskDrugMapper;
import com.diagbot.service.ResultHighriskDrugService;
import com.diagbot.vo.ResultHighriskDrugPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-14
 */
@Service
public class ResultHighriskDrugServiceImpl extends ServiceImpl<ResultHighriskDrugMapper, ResultHighriskDrug> implements ResultHighriskDrugService {
    public IPage<ResultHighriskDrug> getPage(@Param("resultHighriskDrugPageVO") ResultHighriskDrugPageVO resultHighriskDrugPageVO) {
        return baseMapper.getPage(resultHighriskDrugPageVO);
    }
}
