package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ResultOtherLis;
import com.diagbot.mapper.ResultOtherLisMapper;
import com.diagbot.service.ResultOtherLisService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.ResultPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-19
 */
@Service
public class ResultOtherLisServiceImpl extends ServiceImpl<ResultOtherLisMapper, ResultOtherLis> implements ResultOtherLisService {

    public IPage<ResultOtherLis> getPage(@Param("resultPageVO") ResultPageVO resultPageVO) {
        return baseMapper.getPage(resultPageVO);
    }
}
