package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ResultRulePageDTO;
import com.diagbot.entity.ResultRule;
import com.diagbot.mapper.ResultRuleMapper;
import com.diagbot.service.ResultRuleService;
import com.diagbot.vo.ResultRulePageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-03-09
 */
@Service
public class ResultRuleServiceImpl extends ServiceImpl<ResultRuleMapper, ResultRule> implements ResultRuleService {

    @Override
    public IPage<ResultRulePageDTO> getPage(@Param("resultRulePageVO") ResultRulePageVO resultRulePageVO) {
        return baseMapper.getPage(resultRulePageVO);
    }
}
