package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.CaseStaticResultDTO;
import com.diagbot.entity.ResultStaticInfo;
import com.diagbot.mapper.ResultStaticInfoMapper;
import com.diagbot.service.ResultStaticInfoService;
import com.diagbot.vo.HospitalIdVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-22
 */
@Service
public class ResultStaticInfoServiceImpl extends ServiceImpl<ResultStaticInfoMapper, ResultStaticInfo> implements ResultStaticInfoService {
    public List<CaseStaticResultDTO> getCaseResultList(HospitalIdVO hospitalIdVO) {
        return baseMapper.getCaseResultList(hospitalIdVO);
    }
}
