package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.TokenHospitaDTO;
import com.diagbot.entity.TokenHospital;
import com.diagbot.mapper.TokenHospitalMapper;
import com.diagbot.service.TokenHospitalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TokenHospitalVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-06
 */
@Service
public class TokenHospitalServiceImpl extends ServiceImpl<TokenHospitalMapper, TokenHospital> implements TokenHospitalService {

    @Override
    public IPage<TokenHospitaDTO> getTokenHospitalPages(TokenHospitalVO tokenHospitalVO) {
        return baseMapper.getTokenHospitalPages(tokenHospitalVO);
    }
}
