package com.diagbot.service.impl;

import com.diagbot.dto.PermissionAllDTO;
import com.diagbot.entity.TokenPermission;
import com.diagbot.mapper.TokenPermissionMapper;
import com.diagbot.service.TokenPermissionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.TokenPermissionAllVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-08-10
 */
@Service
public class TokenPermissionServiceImpl extends ServiceImpl<TokenPermissionMapper, TokenPermission> implements TokenPermissionService {

    @Override
    public List<PermissionAllDTO> getPermissionAll(TokenPermissionAllVO tokenPermissionAllVO) {
        return baseMapper.getPermissionAll(tokenPermissionAllVO);
    }
}
