package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @author kwz
 * @date 2021/3/11
 * @time 11:14
 */
@Setter
@Getter
@ApiModel(value = "删除诊断依据入参")
public class DiseaseDeleteVO {
    @ApiModelProperty(value = "诊断名称")
    @NotBlank(message = "请输入搜索名称")
    private String disName;
}
