package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 诊断依据表入参
 * @author kwz
 * @date 2021/3/9
 * @time 16:19
 */
@Setter
@Getter
public class GetDiseaseDetailVO implements Serializable {
    @ApiModelProperty(value = "疾病名")
    @NotBlank(message="疾病名不能为空")
    private String disName;
//    private List<Integer> types;
}
