package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/14 19:44
 */
@Getter
@Setter
public class HighriskRuleVO extends HospitalIdVO {
    /**
     * 测试类型
     */
    @NotNull(message = "请输入测试案例id")
    private Long caseId;
    /**
     * 高危测试规则类型（1：药品，2：手术）
     */
    @NotNull(message = "请输入高危测试规则类型（1：药品，2：手术）")
    private Integer highriskType;
}