package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-07 09:57
 */
@Setter
@Getter
public class HospitalPlanDetailSaveVO {
    private Long planId;
    /**
     * 医院编码
     */
    private Long hospitalId;

    /**
     * 配置名称
     */
    private String name;



    private String value;

    /**
     * 是否显示（1是，0否）
     */
    private Integer status;

    /**
     * 显示个数
     */
    private Integer number;

    /**
     * 显示顺序
     */
    private Integer orderNo;
    /**
     * 配置编码
     */
    private String code;
    /**
     * 备注
     */
    private String remark;

    private List<PlanDetailSubSaveVO> planDetailSub;
}
