package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-03 9:49
 */
@Setter
@Getter
public class KlConceptSaveVO {
    private Long conceptId;
    private Long libId;
    @NotBlank(message = "请输入术语名称")
    private String libName;
    private String spell;
    @NotNull(message = "请输入术语词性type")
    private Integer libType;
    private String synonymName;
    @NotNull(message = "请输入状态")
    private Integer status;
    //是否标准词,1:是,0:否
    private Integer isConcept = 0;
    private Integer sexType;
    //是否有通用扩展(0:否;1:是)
    @NotNull(message = "请输入是否有通用扩展")
    private Integer isHasCommon;
    private Double minAge;
    private Double maxAge;
    private Double minVal;
    private Double maxVal;
    private Integer scopeType;
    private String icdCode;
    private String remark;
    private List<KlConceptSaveSubVO> klConceptSub;
}
