package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: Kongwz
 * @time: 2021/3/8 16:03
 */
@Getter
@Setter
public class KlRelationSaveVO {
	
	/**
	 * 当前概念id start_id
	 */
	/**
	 * 概念id
	 */
	@ApiModelProperty(value="概念id",required=true)
	@NotNull(message="概念开始id必传")
	private Long sid;

	/**
	 * 关系id
	 */
	@ApiModelProperty(value="关系id",required=true)
	@NotNull(message="关系id必传")
	private Integer rid;
	private Long eid;
	private Integer srid;
	private List<Long> eids;
}