package com.diagbot.vo;

import com.diagbot.biz.push.entity.Lis;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import org.springframework.cloud.stream.annotation.StreamRetryTemplate;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-10 11:16
 */
@Setter
@Getter
public class PermissionTokenAllVO {

    /**
     * 资源Id
     */
    private Long permissionId;

    /**
     * 特殊处理参数
     */
    private String paramKey;

    /**
     * 特殊处理参数值
     */
    private String paramValue;

    /**
     * 医院ID
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;
}
