package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/1/6 14:48
 */
@Getter
@Setter
public class RuleTestVO extends HospitalIdVO {
    /**
     * 测试类型
     */
    @NotNull(message = "请输入测试案例id")
    private Long caseId;
    /**
     * 测试序号
     */
    @ApiModelProperty(hidden = true)
    private Integer caseNo;
}