package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/20 14:50
 */
@Getter
@Setter
public class StaticKnowledgeVO {
    /**
     * 标准术语名称
     */
    private String name;
    /**
     * 术语类型
     */
    @NotNull(message = "请输入术语类型")
    private Integer type;
    /**
     * 内容类型
     */
    private List<Integer> contentTypes;
}
