package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-11 11:00
 */
@Setter
@Getter
public class UserInfoVO {
    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 联系人
     */
    private String linkman;

    /**
     * 是否启用(0:停用，1：启用)
     */
    private Integer status;

    /**
     * 1内部用户，0外部用户（默认0）
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;
}
