package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-11 10:07
 */
@Setter
@Getter
public class UserRoleInfoVO {
    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    @ApiModelProperty(hidden = true)
    private String password = "{bcrypt}$2a$10$qhV.bPLz1xsjQKQc35Ohz.oMU2y.lffnogvLEK69u3Z1rbLpQVFh2";

    /**
     * 联系人
     */
    private String linkman;

    /**
     * 是否启用(0:停用，1：启用)
     */
    @ApiModelProperty(hidden = true)
    private Integer status = 1;

    /**
     * 1内部用户，0外部用户（默认0）
     */
    @ApiModelProperty(hidden = true)
    private Integer type = 0;

    private Long hospitalId;

    @ApiModelProperty(hidden = true)
    private Long roleId = -1L;
}
