package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-06 9:51
 */
@Getter
@Setter
public class VersionDetailVO {
    /**
     * 版本主表id
     */
    @NotNull(message = "请输入id")
    private Long detailId;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 排序号
     */
    private String orderNo;

    /**
     * 1：启动，0：不启用
     */
    private String status;

    /**
     * 备注
     */
    private String remark;
}

