package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-06 9:47
 */
@Getter
@Setter
public class VersionInfoAllVO {
    /**
     * 版本id
     */
    @NotNull(message = "请输入id")
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 时间
     */
    private String refreshTime;

    /**
     * 1：启动，0：不启用
     */
    // private String status;

    /**
     * 备注
     */
    private String remark;
}

