package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-06 9:44
 */
@Getter
@Setter
public class VersionInfoVO {

    /**
     * 用户id
     */
    //private Long id;

    /**
     * 名称
     */
    @NotBlank(message = "标题不能为空")
    private String name;

    /**
     * 时间
     */
    @NotBlank(message = "请输入时间")
    private String refreshTime;

    /**
     * 1：启动，0：不启用
     */
    // private String status;

    /**
     * 备注
     */
    private String remark;

    private List<VersionDetailVO> versionDetail;
}