package com.diagbot.biz.push.entity;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


/**
 * @Description:病情提示
 * @Author:zhaops
 * @time: 2019/3/14 14:40
 */
@Getter
@Setter
public class MedicalIndication {
    /**
     * 术语id
     */
    private Long conceptId;
    /**
     * 词性
     */
    private Integer libType;
    /**
     * 类型
     */
    private Integer type;
    /**
     * 名称（术语、描述等）
     */
    @CryptField
    private String name;
    /**
     * 医院入参
     */
    private String hisName;
    /**
     * 病情提示明细
     */
    private List<MedicalIndicationDetail> details;
}