package com.diagbot.biz.push.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:病情提示明细
 * @Author:zhaops
 * @time: 2019/4/11 10:15
 */
@Getter
@Setter
public class MedicalIndicationDetail {
    /**
     * 类型（1：量表，2：计算公式，3：其他指标，可能结果等，4：危急值、开单合理项、异常值等规则推送结果）
     */
    private Integer type;
    /**
     * 动态内容（量表不返回具体结构，只提供名称，具体内容单独获取）
     * 返回结构包含以下控件类型controlType（0：单选-radio，2：多选-checkbox，2：文本框-text，3：下拉列表-dropdownlist）
     */
    private JSONObject content;
}
