package com.diagbot.client.bean;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 量表内容表
 * </p>
 *
 * @author zhoutg
 * @since 2019-03-11
 */
@Getter
@Setter
public class ScaleContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 量表概念id
     */
    private Long conceptId;

    /**
     * 内容
     */
    private String content;

    /**
     * 0:文本，1：大数据接口填充
     */
    private Integer type;

}
