package com.diagbot.vo;

import com.diagbot.biz.push.entity.MRBaseData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/8/28 17:44
 */
@Getter
@Setter
public class PushJoinVO extends MRBaseData {
    /**
     * 性别
     */
    @NotNull(message = "请输入性别")
    private Integer sex;

    /**
     * 不能分类文本
     */
    private String unknown;

    //创建时间
    @ApiModelProperty(hidden = true)
    private String mrId; //病历编号
    //创建时间
    @ApiModelProperty(hidden = true)
    private Date createTime;
    //过期时间
    @ApiModelProperty(hidden = true)
    private Date expireTime;
    //过期时间字符串
    @ApiModelProperty(hidden = true)
    private String expireTimeStr;
}