package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Description: 量表检索
 * @author: zhoutg
 * @time: 2018/8/6 10:16
 */
@Getter
@Setter
@ApiModel
public class ScaleIndexVO {
    @NotBlank(message = "名称不能为空")
    private String name;
    @ApiModelProperty(hidden = true)
    private Integer startType;
    @ApiModelProperty(hidden = true)
    private Integer endType;
    @ApiModelProperty(hidden = true)
    private Integer relationType;
    private List<String> filterName; //过滤已选名称
    @ApiModelProperty(hidden = true)
    private List<String> disName; // 诊断名称
}
