use `med`;
DROP TABLE IF EXISTS `kl_lis_mapping`;
CREATE TABLE `kl_lis_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `meal_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '化验套餐术语id',
  `item_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '化验明细术语id',
  `unique_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '化验公表术语id',
  PRIMARY KEY (`id`),
  KEY `meal_id` (`meal_id`),
  KEY `item_id` (`item_id`),
  KEY `unique_id` (`unique_id`),
  KEY `idx_meal_item` (`meal_id`,`item_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1786 DEFAULT CHARSET=utf8 COMMENT='化验项目公表映射';

-- use `sys-icss`;
-- DROP TABLE IF EXISTS `icss_lis_mapping`;


