use `sys-tran`;

ALTER TABLE `tran_sys_set` MODIFY COLUMN `hospital_code` varchar(255) DEFAULT NULL COMMENT '医院编码' AFTER `modifier`;

INSERT INTO `sys-tran`.`tran_sys_set` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_code`, `plan`, `sys_type`, `name`, `code`, `value`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', NULL, NULL, '浙江医院', '0', '9', '是否能访问', 'accessible', '1', '0无访问权限，1有访问权限');

-- 纳里医院信息
INSERT INTO `sys-tran`.`tran_hospital_info`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `address`, `spell`, `status`, `order_no`, `connect`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'NL001', '纳里健康', NULL, NULL, 1, NULL, 0, NULL);

-- 纳里科室与朗通内部映射关系
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0301', '呼吸内科', 'NL001', '纳里健康', '呼吸内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0302', '消化内科', 'NL001', '纳里健康', '消化内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0303', '神经内科', 'NL001', '纳里健康', '神经内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0304', '心血管内科', 'NL001', '纳里健康', '心血管内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0304', '心血管内科', 'NL001', '纳里健康', '心内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0305', '血液内科', 'NL001', '纳里健康', '血液内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0306', '肾病学专科', 'NL001', '纳里健康', '肾内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0307', '内分泌专科', 'NL001', '纳里健康', '内分泌科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0308', '免疫学专科', 'NL001', '纳里健康', '风湿免疫门诊', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0308', '免疫学专科', 'NL001', '纳里健康', '风湿免疫科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0401', '普通外科', 'NL001', '纳里健康', '普外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0402', '神经外科', 'NL001', '纳里健康', '神经外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0403', '骨科', 'NL001', '纳里健康', '骨科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0404', '泌尿外科', 'NL001', '纳里健康', '泌尿外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0405', '胸外科专业', 'NL001', '纳里健康', '胸外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0406', '心脏大血管外科', 'NL001', '纳里健康', '血管外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0406', '心脏大血管外科', 'NL001', '纳里健康', '心脏外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0408', '整形外科', 'NL001', '纳里健康', '整形外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0409', '肛肠外科', 'NL001', '纳里健康', '肛肠外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0501', '妇科', 'NL001', '纳里健康', '妇科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0502', '产科', 'NL001', '纳里健康', '产科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0505', '生殖健康与不孕症科', 'NL001', '纳里健康', '生殖健康与不孕症', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0701', '新生儿科', 'NL001', '纳里健康', '新生儿科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0905', '儿童康复科', 'NL001', '纳里健康', '康复医学科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1101', '耳科', 'NL001', '纳里健康', '耳鼻咽喉头颈外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1102', '鼻科', 'NL001', '纳里健康', '耳鼻咽喉头颈外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1103', '咽喉科', 'NL001', '纳里健康', '耳鼻咽喉头颈外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1201', '牙体牙髓病科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1202', '牙周病科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1203', '口腔粘膜病科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1204', '儿童口腔科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1205', '口腔颌面外科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1206', '口腔修复科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1207', '口腔正畸科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1208', '口腔种植科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1209', '口腔麻醉科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1210', '口腔颌面医学影像科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1211', '口腔病理科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1212', '预防口腔科', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1301', '皮肤病科', 'NL001', '纳里健康', '皮肤科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1502', '精神卫生科', 'NL001', '纳里健康', '精神卫生科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1603', '肝炎专业', 'NL001', '纳里健康', '肝病感染内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1603', '肝炎专业', 'NL001', '纳里健康', '肝病感染科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5001', '内科专业', 'NL001', '纳里健康', '普内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5003', '妇产科专业', 'NL001', '纳里健康', '乳腺疾病门诊', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5005', '皮肤科专业', 'NL001', '纳里健康', '皮肤科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5006', '眼科专业', 'NL001', '纳里健康', '眼科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5007', '耳鼻咽喉科', 'NL001', '纳里健康', '耳鼻咽喉头颈外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5008', '口腔科专业', 'NL001', '纳里健康', '牙科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5009', '肿瘤科专业', 'NL001', '纳里健康', '肿瘤外科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5009', '肿瘤科专业', 'NL001', '纳里健康', '肿瘤内科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5015', '康复医学专业', 'NL001', '纳里健康', '康复医学科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5016', '急诊科专业', 'NL001', '纳里健康', '急诊科', 1, 0, '', NULL);
INSERT INTO `tran_hospital_dept`(`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `code`, `name`, `hospital_code`, `hospital_name`, `concept_dept_name`, `status`, `order_no`, `url`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '康复科', 'NL001', '纳里健康', '康复医学科', 1, 0, '', NULL);
