package com.diagbot.client.bean;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/5/6 18:50
 */
@Getter
@Setter
public class ConceptBaseVO {
    @NotBlank(message = "概念名称不能为空")
    private String name;
    @NotNull(message = "词性不能为空")
    private Integer libType;
}
