package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2019/2/14 14:59
 */
@Getter
@Setter
public class DiseaseIcdDTO {
    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * HIS疾病名称
     */
    private String diseaseName;

    /**
     * icd编码
     */
    private String icd;

    /**
     * 朗通疾病概念id
     */
    private Long conceptId;

    /**
     * 朗通疾病名称
     */
    private String conceptDisName;
}
