package com.diagbot.dto;

import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:42
 */
@Getter
@Setter
public class HospitalInfoDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 医院编码
     */
    private String code;

    /**
     * 医院名称
     */
    private String name;

    /**
     * 医院地址
     */
    private String address;

    /**
     * 医院名称拼音
     */
    private String spell;

    /**
     * 配置信息
     */
    private List<SysSetInfoDTO>  SysSetInfoData;

    /**
     * 备注
     */
    private String remark;
}
