package com.diagbot.enums;

import lombok.Setter;
/**
 * @author wangfeng
 * @Description:
 * @date 2019-12-09 20:22
 */
public enum TemplateTypeEnum {
    PersonalTemplate(1, "个人模板"),
    AdminTemplate(2, "标准模板");

    @Setter
    private int key;

    @Setter
    private String name;

    TemplateTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static TemplateTypeEnum getEnum(int key) {
        for (TemplateTypeEnum item : TemplateTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        TemplateTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }


    public int getKey() {
        return key;
    }

    public String getName() {
        return name;
    }
}
