package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2019年3月12日下午2:29:43
 */
@Getter
@Setter
public class AddDiagnoseSecondVO {
	
	/**
	 * 问诊记录id
	 */
	@ApiModelProperty(value="问诊记录id",required=true)
	@NotNull(message="问诊记录id必传")
	private Long inquiryId;
	
    /**
     * 当前医生id
     */
	@ApiModelProperty(value="当前医生id",required=true)
	@NotNull(message="当前医生id必传")
    private Long doctorId;
	
	/**
	 * 二次诊断
	 */
	@ApiModelProperty(value="二次诊断",required=true)
	@NotBlank(message="二次诊断必传")
	private String diagnoseSecond;

}
