package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2019年3月12日下午2:29:43
 */
@Getter
@Setter
public class ExportInquirysVO {
	
	/**
	 * 问诊记录id集合
	 */
	@ApiModelProperty(value="问诊记录id集合",required=true)
	@NotEmpty(message="问诊记录id集合不能为空")
	private List<Long> inquiryIds;
	
   

}
