package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "获取大小医院信息接口传参")
@Getter
@Setter
public class GetHospitalRankInfoVO {

    /**
     * 医院编码
     */
    @ApiModelProperty(value = "医院编码", required = true)
    @NotBlank(message = "医院编码必传")
    private String hospitalCode;

    /**
     * 校验是否对接预问诊 0-不校验 1-校验
     */
    @ApiModelProperty(value = "医院编码")
    private Integer isCkConnectPrec = 1;

}
