package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2019-12-09 14:02
 */
@Setter
@Getter
public class HospitalCodeSetVO {
    @NotNull(message = "请输入医院编码")
    private Long hospitalId;
    @NotNull(message = "请输入医生编码")
    private Long doctorId;
    //是否显示错误
    @ApiModelProperty(hidden = true)
    private Boolean showError;
}
