package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2019年3月12日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryDrugVO {
	
	/**
	 * 药品概念id
	 */
    @NotNull(message="药品概念id必传")
    @ApiModelProperty(value="药品概念id",required=true)
    private Long conceptId;

    /**
     * 药品概念名称
     */
    @NotBlank(message="药品概念名称必传")
    @ApiModelProperty(value="药品概念名称",required=true)
    private String conceptName;

}
