package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2019-12-09 20:03
 */
@Getter
@Setter
public class TemplateAdminIdsVO {
    @NotBlank(message = "请输入模板id")
    private String ids;
    @NotNull(message = "请输入医院编码")
    private Long hospitalId;
    @NotNull(message = "请输入医生编码")
    private Long doctorId;
}
