package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
public class TemplateInfoVO {
	
	/**
     * 医生id
     */
	@NotNull(message = "请输入医生id")
    private Long doctorId;

    /**
     * 医院编码
     */
	@NotNull(message = "请输入医院Id")
    private Long hospitalId;
	/**
	 * 部门id
	 */
	@NotNull(message = "请输入部门id")
	private Long hospitalDeptId;//部门id
	
	@NotNull(message = "请输入模板类型")
	private String type;//模板类型
	
	private Integer sex;//性别
}
