package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-01-10 14:30
 */
@Setter
@Getter
public class TemplateNormUpVO {

    @NotNull(message = "请输入模板id")
    private Long id;//模板id
    @NotBlank(message = "请输入模板名")
    private String modeName;//模板名
    @NotBlank(message = "请输入模板拼音")
    private String spell;//模板拼音
    /**
     * 医生id
     */
    @NotNull(message = "请输入医生id")
    private Long doctorId;
    /**
     * 部门id
     */
    @NotNull(message = "请输入部门id")
    private Long hospitalDeptId;//部门id
    /**
     * 医院编码
     */
    @NotNull(message = "请输入文件Id")
    private Long folderId;
    @NotNull(message = "请输入性别")
    private Integer sex;//性别

}
