package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 模板文件夹表
 * </p>
 *
 * @author zhoutg
 * @since 2020-01-09
 */
@Getter
@Setter
public class TemplateSortVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 模板id
     */
    private Long templateId;

    /**
     * 文件夹id
     */
    private Long folderId;

    /**
     * 排序号
     */
    private Long orderNo;

}
