package com.diagbot.client;

import com.diagbot.client.hystrix.NLPServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/28 15:01
 */
@FeignClient(name = "NLP", url = "${nlp.server.address}", fallback = NLPServiceHystrix.class)
public interface NLPServiceClient {
    @PostMapping(value = "/nlp-web/similar/getsimilar")
    List<String> getSimilarList(@RequestBody String inputWord);
}