package com.diagbot.client.hystrix;

import com.diagbot.biz.push.entity.ResponseData;
import com.diagbot.client.AIServiceClient;
import com.diagbot.client.bean.Response;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/8/20 15:19
 */
@Component
@Slf4j
public class AIServiceHystrix implements AIServiceClient {
    @Override
    public Response<ResponseData> createFile() {
        log.error("【hystrix】调用{}异常", "createFile");
        return null;
    }
}
