package com.diagbot.client.hystrix;

import com.diagbot.client.ICSSManServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.vo.IdListVO;
import com.diagbot.vo.KLQuestionVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/9/20 9:56
 */
@Component
@Slf4j
public class ICSSManServiceHystrix implements ICSSManServiceClient {
    @Override
    public RespDTO<List<QuestionInfo>> indexForkl(@RequestBody KLQuestionVO klQuestionVO) {
        log.error("【hystrix】调用{}异常", "indexForkl");
        return null;
    }

    @Override
    public RespDTO<Boolean> clearCache(@RequestBody IdListVO idListVO) {
        log.error("【hystrix】调用{}异常", "clearCache");
        return null;
    }
}