package com.diagbot.client.hystrix;

import com.diagbot.client.NLPServiceClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/10/28 15:02
 */
@Component
@Slf4j
public class NLPServiceHystrix implements NLPServiceClient {

    @Override
    public List<String> getSimilarList(@RequestBody String inputWord) {
        log.error("【hystrix】调用{}异常", "getSimilarList");
        return null;
    }
}