package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2019/5/6 15:59
 */
@Getter
@Setter
public class ConceptIndexDTO {

    /**
     * 名称
     */
    @CryptField
    private String name;
    
    /**
     * 名称(类型)
     */
    private String nameType;
    
    /**
     * 类型id
     */
    private Long typeId;
    
    /**
     * 类型
     */
    private String type;

    /**
     * 量表概念id
     */
    private Long conceptId;

}
