package com.diagbot.dto;

import com.diagbot.entity.DiagnoseDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: zhoutg
 * @time: 2019/8/8 13:47
 */
@Getter
@Setter
public class DiagnoseDetailSaveDTO {

    @ApiModelProperty(value = "疾病特征")
    private List<DiagnoseDetail> disFeature = new ArrayList<>();

    @ApiModelProperty(value = "疾病公式")
    private List<DiagnoseDetail> disformula = new ArrayList<>();

    @ApiModelProperty(value = "诊断名称是否存在")
    private Boolean disNameExist = true;
}
