package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月26日 上午10:00:35
 */
@Setter
@Getter
public class IndexConfigDTO {
	private Long id;
	
	private String state;
	 /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
	 * 疾病id
	 */
	private Long diseaseId;

	/**
	 * 疾病id
	 */
	@CryptField
	private String diseaseName;
}
