package com.diagbot.dto;


import lombok.Getter;
import lombok.Setter;
import java.io.Serializable;
import java.util.Objects;

/**
 * <p>
 * 术语表
 * </p>
 *
 * @author zhoutg
 * @since 2019-05-13
 */
@Getter
@Setter
public class LibraryInfoEnDeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 拼音
     */
    private String spell;


    private String nameEn;

    private String nameDe;

    private String spellEn;

    private String spellDe;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        LibraryInfoEnDeDTO that = (LibraryInfoEnDeDTO) o;
        return Objects.equals(id, that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
