package com.diagbot.dto;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2019/5/6 15:59
 */
@Getter
@Setter
public class ScaleContentPageDTO {

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;


    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 名称
     */
    @CryptField
    private String name;

    /**
     * 量表概念id
     */
    private Long conceptId;

}
