package com.diagbot.dto;

import com.diagbot.entity.DiagnoseDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 概念出参基础实体类
 * @author: gaodm
 * @time: 2019/5/7 9:44
 */
@Getter
@Setter
public class VerifyDataDTO {

    @ApiModelProperty(value = "疾病特征")
    private List<DiagnoseDetail> disFeature = new ArrayList<>();

    @ApiModelProperty(value = "疾病公式")
    private List<DiagnoseDetail> disformula = new ArrayList<>();

    @ApiModelProperty(value = "1:有问题词，0:无问题词")
    private Integer hasQuestion;

    @ApiModelProperty(value = "主表id")
    private Long id;

    @ApiModelProperty(value = "诊断名称是否存在")
    private Boolean disNameExist;
}
