package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DiseaseInfoDTO;
import com.diagbot.dto.IndexConfigDTO;
import com.diagbot.entity.IndexConfig;
import com.diagbot.vo.DiseaseNameVO;
import com.diagbot.vo.IndexConfigDiseaseNameVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 指标配置 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
public interface IndexConfigMapper extends BaseMapper<IndexConfig> {

	IPage<IndexConfigDTO> queryIndexConfigPageAlls(@Param("indexConfigVO") IndexConfigDiseaseNameVO indexConfigVO);

	List<DiseaseInfoDTO> queryIndexConfigDiseaseName(@Param("diseaseNameVO") DiseaseNameVO diseaseNameVO);


}
