package com.diagbot.rabbit;

import org.springframework.cloud.stream.annotation.EnableBinding;
import org.springframework.cloud.stream.annotation.StreamListener;

/**
 * @Description: 消费者
 * @author: gaodm
 * @time: 2018/8/29 14:02
 */
@EnableBinding({ MyProcessor.class })
public class MyReceiver {

    @StreamListener(MyProcessor.INPUT_WORD)
    public void inputWord(String message) {
        System.out.println("Received <" + "重新加载词库" + ">" + message);
    }
}
