package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LibraryForDiagnoseDTO;
import com.diagbot.dto.RedisWithDiagnoseDTO;
import com.diagbot.entity.LibraryInfo;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 提示信息 服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoService extends IService<LibraryInfo> {

    public List<LibraryForDiagnoseDTO> getLibraryForDiagnose();

    public Set<String> getLibraryForDiagnose2();

    public Set<String> getLibraryForStandard();

    public List<RedisWithDiagnoseDTO> putRedis();
}