package com.diagbot.service.impl;

import com.diagbot.entity.DiagnoseDetail;
import com.diagbot.mapper.DiagnoseDetailMapper;
import com.diagbot.service.DiagnoseDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据明细表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Service
public class DiagnoseDetailServiceImpl extends ServiceImpl<DiagnoseDetailMapper, DiagnoseDetail> implements DiagnoseDetailService {

    @Override
    public void updateBatch(List<DiagnoseDetail> diagnoseDetails) {
        baseMapper.updateBatch(diagnoseDetails);
    }
}
