package com.diagbot.service.impl;

import com.diagbot.entity.DiagnoseQuestion;
import com.diagbot.mapper.DiagnoseQuestionMapper;
import com.diagbot.service.DiagnoseQuestionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据问题词表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Service
public class DiagnoseQuestionServiceImpl extends ServiceImpl<DiagnoseQuestionMapper, DiagnoseQuestion> implements DiagnoseQuestionService {

    @Override
    public void insertBatch(List<DiagnoseQuestion> diagnoseQuestionList) {
        baseMapper.insertBatch(diagnoseQuestionList);
    }
}
