package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DiseaseInfoDTO;
import com.diagbot.dto.EvaluationModuleMappingDTO;
import com.diagbot.entity.Evaluation;
import com.diagbot.mapper.EvaluationMapper;
import com.diagbot.service.EvaluationService;
import com.diagbot.vo.DiseaseNameVO;
import com.diagbot.vo.EvaluationDiseaseNameVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 管理与评估模板表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-03-25
 */
@Service
public class EvaluationServiceImpl extends ServiceImpl<EvaluationMapper, Evaluation> implements EvaluationService {

    @Override
    public IPage<EvaluationModuleMappingDTO> queryEvaluationModulePageAll(EvaluationDiseaseNameVO evaluationModuleDiseaseNameVO) {
        return baseMapper.queryEvaluationModulePageAll(evaluationModuleDiseaseNameVO);

    }

	@Override
	public List<DiseaseInfoDTO> queryEvaluationDiseaseName(DiseaseNameVO diseaseNameVO) {
		return baseMapper.queryEvaluationDiseaseName(diseaseNameVO);
	}


}
