package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ScaleContentDTO;
import com.diagbot.dto.ScaleContentIndexDTO;
import com.diagbot.dto.ScaleContentPageDTO;
import com.diagbot.entity.ScaleContent;
import com.diagbot.mapper.ScaleContentMapper;
import com.diagbot.service.ScaleContentService;
import com.diagbot.vo.ScaleContentIndexVO;
import com.diagbot.vo.ScaleContentPageVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 量表内容表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2019-04-08
 */
@Service
public class ScaleContentServiceImpl extends ServiceImpl<ScaleContentMapper, ScaleContent> implements ScaleContentService {

    @Override
    public IPage<ScaleContentPageDTO> getList(ScaleContentPageVO scaleContentPageVO) {
        return baseMapper.getList(scaleContentPageVO);
    }

    @Override
    public List<ScaleContentIndexDTO> index(ScaleContentIndexVO scaleContentIndexVO) {
        return baseMapper.index(scaleContentIndexVO);
    }


    @Override
    public List<ScaleContentDTO> getByParam(Long conceptId) {
        return baseMapper.getByParam(conceptId);
    }
}
