package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2019-03
 */
@Getter
@Setter
public class AddCptDiseaseExtVO {
	
	/**
     * 诊断归属科室id
     */
	@ApiModelProperty(value="诊断归属科室id",required=true)
	@NotNull(message="诊断归属科室id必传")
    private Long deptId;

	/**
	 * 诊断归属类型
	 */
	@ApiModelProperty(value="诊断归属类型",required=true)
	@NotBlank(message="诊断归属类型必传")
    private String classify;
	
}
