package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @author: ztg
 * @date: 2019/5/9 11:27
 */
@Getter
@Setter
public class ConceptIndexVO {
    @CryptField
    @ApiModelProperty(value = "检索名称",required=true)
    @NotBlank(message="名称不能为空")
    private String name;
    @ApiModelProperty(hidden = true)
    private Integer lisPacsOnly = 0;

}
