package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: ztg
 * @time: 2019/1/28 15:45
 */
@Getter
@Setter
@ApiModel
public class DeleteDiagnoseVO {

    @NotNull(message="id不能为空")
    @ApiModelProperty(value = "主键")
    private Long id;

    @NotBlank(message="状态值不能为空")
    @ApiModelProperty("是否删除,N：未删除，Y：删除")
    private String isDeleted;

    @ApiModelProperty("删除备注")
    private String remark;

    @ApiModelProperty("修改人")
    @NotBlank(message="修改人不能为空")
    private String modifier;
}
