package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class DeleteRelationContactVO {
    
    /**
     * 概念id
     */
	@ApiModelProperty(value="概念id",required=true)
	@NotNull(message="概念id必传")
    private Long conceptId;
	
	/**
	 * 各级关系类型id集合
	 */
	@ApiModelProperty(value="各级关系类型id集合")
	private List<Long> relationIds;
	
	/**
	 * 各级终点术语类型id集合
	 */
	@ApiModelProperty(value="各级终点术语类型id集合")
	private List<Long> typeIds;
	
    
}