package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 诊断依据表入参
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
@ApiModel
public class DiagnosePageVO extends Page implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "诊断名称")
    private String disName;

    @ApiModelProperty(value = "是否问题词")
    private String hasQuestion;

}
