package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 诊断依据校验全部数据入参
 * </p>
 *
 * @author zhoutg
 * @since 2019-08-08
 */
@Getter
@Setter
@ApiModel
public class DiagnoseVerifyVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("修改人")
    @NotBlank(message="修改人不能为空")
    private String modifier;

}
