package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @author wangfeng
 * @Description: 管理与评估入参类
 * @date 2019年3月26日 下午7:19:14
 */
@Setter
@Getter
public class EvaluationVO {

	
	/**
     * 区域名
     */
    private String regionName;

    /**
     * 区域类型（0默认自定义，1大数据，2内部数据）
     */
    private String regionType;

    /**
     * 区域顺序
     */
    private Integer orderNo;

    /**
     * 疾病id
     */
    private Long diseaseId;

    private String remark;
}
