package com.diagbot.vo;

import java.util.List;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class GetAllConceptVO {
    
    /**
     * 名称
     */
    @CryptField
    @ApiModelProperty(value="名称")
    private String name;
    
    /**
     * 是否标准词,1:是,0:否
     */
    @ApiModelProperty(value="是否标准词,1:是,0:否")
    private Integer isConcept;
    
    /**
     * 是否过滤添加过术语属性的概念,1:是,0:否
     */
    @ApiModelProperty(value="是否过滤添加过术语属性的概念,1:是,0:否")
    private Integer isMedical;
    
    /**
     * 需要排除的概念id集合
     */
    @ApiModelProperty(value="需要排除的概念id集合")
    private List<Long> excludedConceptIds;
    
}