package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Getter
@Setter
public class GetConceptDetailListVO extends Page {
    
	/**
     * 术语名称
     */
	@ApiModelProperty(value="术语名称")
	@CryptField
    private String conceptName;
	
	/**
     * 术语类型id
     */
	@ApiModelProperty(value="术语类型id")
    private Long libType;


	@ApiModelProperty(value = "状态值,已删除=Y，启用中=N")
	private String status;

    @ApiModelProperty(hidden = true)
	private Integer lisPacsOnly = 0;
	

}