package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 
 * @author wangfeng
 * @Description: 指标配置入参类
 * @date 2019年3月11日 下午6:47:34
 */
@Setter
@Getter
public class IndexConfigDiseaseIdVO {
	/**
	 * 疾病ID
	 */
	@NotNull(message = "请输入疾病id")
	private Long diseaseId; 
	
	@NotBlank(message = "请输入状态")
	private String state; 
}
