package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description:
 * @author: zhoutg
 * @date: 2019/5/10 10:47
 */
@Getter
@Setter
public class IndexLexiconVO {
    @CryptField
    @NotBlank(message = "名称不能为空")
    private String name;
    @NotNull(message = "词性类型不能为空")
    private List<Integer> libType;
}
