package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@Getter
@Setter
public class RemoveConceptDetailVO {
    
    /**
     * 医学术语静态知识id
     */
	@ApiModelProperty(value="医学术语静态知识概念id",required=true)
	@NotNull(message="医学术语静态知识概念id必传")
    private List<Long> conceptId;
    @NotBlank(message="状态值不能为空")
    private String status;
}