package com.diagbot.vo;

import com.diagbot.annotation.CryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @author: ztg
 * @date: 2019/5/9 11:27
 */
@Getter
@Setter
public class ScaleContentIndexVO {
    @ApiModelProperty(value = "量表名称")
    @NotBlank(message="名称不能为空")
    @CryptField
    private String name;

    @ApiModelProperty(value = "量表类型", hidden = true)
    private int libType;

}
