package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: ztg
 * @time: 2019/1/28 15:45
 */
@Getter
@Setter
@ApiModel
public class UpdateDiagnoseVO {

    @NotNull(message="id不能为空")
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty("修改人")
    @NotBlank(message="修改人不能为空")
    private String modifier;
}
