package com.diagbot.client;

import com.diagbot.client.hystrix.TermServiceHystrix;
import com.diagbot.vo.TermVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-07-13 13:54
 */
@FeignClient(name = "Term", url = "${term.server.address}", fallback = TermServiceHystrix.class)
public interface TermServiceClient {

    @PostMapping(value = "/api/similarity")
    String similaritys(@RequestBody TermVO termVO);
}
