package com.diagbot.client.hystrix;

import com.diagbot.client.NLPServiceClient;
import com.diagbot.vo.NlpVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


/**
 * @Description:调用NLP对接层服务
 * @Author:zhoutg
 * @time: 2019/4/2 15:36
 */
@Component
@Slf4j
public class NLPServiceHystrix implements NLPServiceClient {

    @Override
    public String getNlp(NlpVO nlpVO) {
        log.error("【hystrix】调用{}异常", "getNlp");
        return null;
    }
}