package com.diagbot.client.hystrix;

import com.diagbot.client.QAServiceClient;
import com.diagbot.dto.QADTO;
import com.diagbot.vo.QAVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description: 知识图谱问答服务
 * @Author:zhaops
 * @time: 2020/5/25 11:19
 */
@Component
@Slf4j
public class QAServiceHystrix implements QAServiceClient {

    @Override
    public QADTO charBot(@RequestBody QAVO qavo) {
        log.error("【hystrix】调用{}异常", "charBot");
        return null;
    }
}
