package com.diagbot.facade;

import com.diagbot.client.NLPServiceClient;
import com.diagbot.vo.NlpVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: NLP实体识别和关系抽取API业务层
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class NlpFacade {
    @Autowired
    NLPServiceClient nlpServiceClient;

    public String getNlp(NlpVO nlpVO) {
        return nlpServiceClient.getNlp(nlpVO);
    }
}
