package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.MrInfoDTO;
import com.diagbot.entity.PresetInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.PresetInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/3/31 9:16
 */
@Component
public class PresetInfoFacade extends PresetInfoServiceImpl {
    public List<MrInfoDTO> getMrInfo() {
        List<MrInfoDTO> mrInfoDTOList = new ArrayList<>();
        List<PresetInfo> mrInfoList = this.list(new QueryWrapper<PresetInfo>()
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("type", 1));
        mrInfoDTOList = BeanUtil.listCopyTo(mrInfoList, MrInfoDTO.class);
        return mrInfoDTOList;
    }
}
