package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.QADTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.QAFacade;
import com.diagbot.vo.QAVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/25 11:35
 */
@RestController
@RequestMapping("/qa")
@Api(value = "知识库问答相关API", tags = { "知识库问答相关API" })
@SuppressWarnings("unchecked")
public class QAController {
    @Autowired
    private QAFacade qaFacade;

    @ApiOperation(value = "知识库问答[zhaops]", notes = "")
    @PostMapping("/charBot")
    @SysLogger("charBot")
    public RespDTO<QADTO> charBot(@RequestBody QAVO qavo) {
        return RespDTO.onSuc(qaFacade.charBot(qavo));
    }
}
