package com.diagbot.client;

import com.diagbot.client.hystrix.BehospitalInfoHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.AnalyzeApiVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-11 16:04
 */
@FeignClient(name = "qc", url = "${qc.address}",fallback = BehospitalInfoHystrix.class)
public interface BehospitalInfoHystrixClient {
    @PostMapping(value = "/qc/behospitalInfo/analyze_api")
    RespDTO<Map<String, Object>> analyzeApi(@RequestBody AnalyzeApiVO analyzeApiVO);
}
