package com.diagbot.client.hystrix;

import com.diagbot.client.BehospitalInfoHystrixClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.AnalyzeApiVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-11 15:58
 */
@Component
@Slf4j
public class BehospitalInfoHystrix implements BehospitalInfoHystrixClient {
    @Override
    public RespDTO<Map<String, Object>> analyzeApi(AnalyzeApiVO analyzeApiVO) {
        log.error("【hystrix】调用{}异常", "analyzeApi");
        return null;
    }
}
