package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 医院病历文书类型细分类主表
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-26
 */
@Data
public class MedRecordAnalyzeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 医院病历文书类型细分类名称
     */
    private String name;

    /**
     * 病历号示例
     */
    private String behospitalCodes;
}
