package com.diagbot.dto;

import com.diagbot.entity.QcCasesEntry;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-03-10 16:45
 */
@Setter
@Getter
public class QcCasesAllDTO {

    private Long id;


    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 病历
     */
    private String name;

    private String prefix;

    /**
     * 备注
     */
    private String remark;

    private List<QcCasesEntryDTO> qcCasesEntry;
}
