package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/3/30 16:54
 */
@Getter
@Setter
public class QcEntryTypeDetailDTO {
    // 医院id
    private Long hospitalId;
    // 条目id
    private Long entryId;
    // 模块名称
    private String casesName;
    // 条目名称
    private String entryName;
    // 已选择质控类型列表
    private List<QcTypeSimpDTO> qcTypeSimpDTOList = new ArrayList<>();
}
