package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 10:58
 */
@Setter
@Getter
public class SthospitalInfoPageDTO  {
    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 医院ID
     */
    private Long hospitalId;

    private String hospitalName;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别（男，女）
     */
    private String sex;


    /**
     * 住院科室ID
     */
    private String deptId;

    /**
     * 住院科室名称
     */
    private String deptName;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;


}
