package com.diagbot.facade;

import com.diagbot.dto.MedQcresultDetailAllDTO;
import com.diagbot.service.MedQcresultDetailService;
import com.diagbot.service.impl.MedQcresultDetailServiceImpl;
import com.diagbot.vo.MedQcresultDetailAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 10:51
 */
@Component
public class MedQcresultDetailFacade extends MedQcresultDetailServiceImpl {
    @Autowired
    MedQcresultDetailService medQcresultDetailService;


    public List<MedQcresultDetailAllDTO> getMedQcresultDetail(MedQcresultDetailAllVO medQcresultDetailAllVO) {
        List<MedQcresultDetailAllDTO> data = medQcresultDetailService.getMedDetail(medQcresultDetailAllVO);
        return  data;
    }
}
