package com.diagbot.facade;

import com.diagbot.dto.QcModeDTO;
import com.diagbot.entity.QcMode;
import com.diagbot.service.QcModeService;
import com.diagbot.service.impl.QcModeServiceImpl;
import com.diagbot.util.BeanUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-04-26 17:24
 */
@Component
public class QcModeFacade extends QcModeServiceImpl {

    @Autowired
    QcModeService qcModeService;

    public List<QcModeDTO> getModeAll() {
        List<QcMode> data = qcModeService.list();
        List<QcModeDTO> dataNew = new ArrayList<QcModeDTO>();
        dataNew = BeanUtil.listCopyTo(data, QcModeDTO.class);
        return dataNew;

    }
}
