package com.diagbot.facade;

import com.diagbot.dto.QuesCasesEntryDTO;
import com.diagbot.service.impl.QcQuestionEntryServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author zhoutg
 * @Description:
 * @date 2020-03-10 16:32
 */
@Component
public class QcQuestionEntryFacade extends QcQuestionEntryServiceImpl {

    /**
     * 根据questionId获取质控条目明细
     *
     * @param id
     * @return
     */
    public List<QuesCasesEntryDTO> getByQuestionIdFac(Long id) {
        return this.getByQuestionId(id);
    }
}
