package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.BLJLDetailDTO;
import com.diagbot.entity.MrMedicalrecords;
import com.diagbot.vo.BABLVO;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
public interface MrMedicalrecordsMapper extends BaseMapper<MrMedicalrecords> {

    /**
     * 获取病历记录列表
     *
     * @param bablvo
     * @return
     */
    List<BLJLDetailDTO> getBLJLList(BABLVO bablvo);
}
