package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.entity.QcCases;
import com.diagbot.entity.QcCasesEntry;

import java.util.List;

/**
 * <p>
 * 病历 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */
public interface QcCasesMapper extends BaseMapper<QcCases> {

    List<QcCasesDTO> getCasesList(Long casesId);

    List<QcCasesEntryDTO> getCasesEntryByHospitalId(Long hospitalId);
}
