package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.QcInputcasesMappingDTO;
import com.diagbot.entity.QcInputcasesMapping;

import java.util.List;

/**
 * <p>
 * 病历录入关系 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */
public interface QcInputcasesMappingMapper extends BaseMapper<QcInputcasesMapping> {

    public List<QcInputcasesMappingDTO> getQcInputMapping(Long textId);

    public List<QcInputcasesMappingDTO> getInputMapping(String caseNumberId);
}
