package com.diagbot.service;

import com.diagbot.util.EnumEntriesBuilder;

import java.util.List;
import java.util.Map;

/**
 * @Description: 枚举数据接口类
 * @author: zhaops
 * @time: 2020/1/19
 */
public interface EnumsDataService {
    /**
     * 用户枚举数据获取
     *
     * @return 用户枚举类map
     */
    Map<String, List<EnumEntriesBuilder.Entry>> getEnumsData();
}
