package com.diagbot.service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.diagbot.dto.BLJLDetailDTO;
import com.diagbot.entity.MrMedicalrecords;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.BABLVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gaodm
 * @since 2020-01-17
 */
@DS("slave")
public interface MrMedicalrecordsService extends IService<MrMedicalrecords> {
    /**
     * 获取病历记录列表
     *
     * @param bablvo
     * @return
     */
    List<BLJLDetailDTO> getBLJLList(BABLVO bablvo);
}