package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.dto.QcCasesEntryDTO;
import com.diagbot.entity.QcCases;
import com.diagbot.entity.QcCasesEntry;

import java.util.List;

/**
 * <p>
 * 病历 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */

public interface QcCasesService extends IService<QcCases> {

    public  List<QcCasesDTO>  getCasesLists(Long casesId);

    List<QcCasesEntryDTO> getCasesEntryByHospitalId(Long hospitalId);
}
