package com.diagbot.service;

import com.diagbot.entity.QcModuleDetail;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 * 模型明细表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
public interface QcModuleDetailService extends IService<QcModuleDetail> {

    /**
     * 根据id删除标签
     *
     * @param map
     * @return
     */
    public void deleteByQuestionIds(Map map);


    /**
     * 根据id删除标签模板
     *
     * @param map
     * @return
     */
    public void deleteByModuleIds(Map map);
}
