package com.diagbot.service.impl;

import com.diagbot.entity.CasesEntryHospital;
import com.diagbot.mapper.CasesEntryHospitalMapper;
import com.diagbot.service.CasesEntryHospitalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历条目 服务实现类
 * </p>
 *
 * @author wangyu
 * @since 2020-03-31
 */
@Service
public class CasesEntryHospitalServiceImpl extends ServiceImpl<CasesEntryHospitalMapper, CasesEntryHospital> implements CasesEntryHospitalService {

    @Override
    public boolean saveAll(List<CasesEntryHospital> casesEntryHospitals) {
        return baseMapper.saveAll(casesEntryHospitals);
    }
}
