package com.diagbot.service.impl;

import com.diagbot.dto.MedBehospitalDeptDTO;
import com.diagbot.entity.MedBehospitalInfo;
import com.diagbot.mapper.MedBehospitalInfoMapper;
import com.diagbot.service.MedBehospitalInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.MedBehospitalDeptVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 住院病历信息 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-10
 */
@Service
public class MedBehospitalInfoServiceImpl extends ServiceImpl<MedBehospitalInfoMapper, MedBehospitalInfo> implements MedBehospitalInfoService {

    @Override
    public List<MedBehospitalDeptDTO> findhospitalDept(MedBehospitalDeptVO medBehospitalDeptVO) {
        return baseMapper.findhospitalDept(medBehospitalDeptVO);
    }
}
