package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.MedRecordAnalyzeDTO;
import com.diagbot.entity.MedRecordAnalyze;
import com.diagbot.mapper.MedRecordAnalyzeMapper;
import com.diagbot.service.MedRecordAnalyzeService;
import com.diagbot.vo.ModuleIndexVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 医院病历文书类型细分类主表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-26
 */
@Service
public class MedRecordAnalyzeServiceImpl extends ServiceImpl<MedRecordAnalyzeMapper, MedRecordAnalyze> implements MedRecordAnalyzeService {

    @Override
    public List<MedRecordAnalyzeDTO> getByModuleId(Long moduleId) {
        return baseMapper.getByModuleId(moduleId);
    }

    @Override
    public List<MedRecordAnalyzeDTO> index(ModuleIndexVO moduleIndexVO) {
        return baseMapper.index(moduleIndexVO);
    }
}
