package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcInputcasesMappingDTO;
import com.diagbot.entity.QcInputcasesMapping;
import com.diagbot.mapper.QcInputcasesMappingMapper;
import com.diagbot.service.QcInputcasesMappingService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 病历录入关系 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-03-10
 */
@Service
public class QcInputcasesMappingServiceImpl extends ServiceImpl<QcInputcasesMappingMapper, QcInputcasesMapping> implements QcInputcasesMappingService {

    @Override
    public List<QcInputcasesMappingDTO> getInputMapping(String caseNumberId) {
        return baseMapper.getInputMapping(caseNumberId);
    }

    public List<QcInputcasesMappingDTO> getQcInputMappings(Long textId){
        return  baseMapper.getQcInputMapping(textId);
    }
}
