package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ModuleInfoListDTO;
import com.diagbot.entity.QcModuleInfo;
import com.diagbot.mapper.QcModuleInfoMapper;
import com.diagbot.service.QcModuleInfoService;
import com.diagbot.vo.GetModuleInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 模型表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
@Service
public class QcModuleInfoServiceImpl extends ServiceImpl<QcModuleInfoMapper, QcModuleInfo> implements QcModuleInfoService {

    @Override
    public void deleteByIds(Map map) {
        baseMapper.deleteByIds(map);
    }

    @Override
    public IPage<ModuleInfoListDTO> getModuleInfoListByType(GetModuleInfoVO getModuleInfoVO) {
        return baseMapper.getModuleInfoListByType(getModuleInfoVO);
    }

    @Override
    public List<QcModuleInfo> getModuleNameByQuestionId(Map map) {
        return baseMapper.getModuleNameByQuestionId(map);
    }
}
