package com.diagbot.service.impl;

import com.diagbot.dto.QuesCasesEntryDTO;
import com.diagbot.entity.QcQuestionEntry;
import com.diagbot.mapper.QcQuestionEntryMapper;
import com.diagbot.service.QcQuestionEntryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 标签条目映射表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-05-07
 */
@Service
public class QcQuestionEntryServiceImpl extends ServiceImpl<QcQuestionEntryMapper, QcQuestionEntry> implements QcQuestionEntryService {

    @Override
    public List<QuesCasesEntryDTO> getByQuestionId(Long id) {
        return baseMapper.getByQuestionId(id);
    }
}
