package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QuestionPageDTO;
import com.diagbot.entity.QcQuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;
import com.diagbot.mapper.QcQuestionInfoMapper;
import com.diagbot.service.QcQuestionInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.QuestionPageVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
@Service
public class QcQuestionInfoServiceImpl extends ServiceImpl<QcQuestionInfoMapper, QcQuestionInfo> implements QcQuestionInfoService {

    @Override
    public IPage<QuestionPageDTO> getList(QuestionPageVO questionPageVO) {
        return baseMapper.getList(questionPageVO);
    }

    @Override
    public List<QcQuestionInfo> index(Map map) {
        return baseMapper.index(map);
    }

    @Override
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map) {
        return baseMapper.getByQuestionMapping(map);
    }

    @Override
    public List<QcQuestionInfo> getParentQuestion(Long id) {
        return baseMapper.getParent(id);
    }

    @Override
    public void deleteByIds(Map map) {
        baseMapper.deleteByIds(map);
    }
}
