package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.StdMissionInfoPageDTO;
import com.diagbot.entity.StdMissionInfo;
import com.diagbot.mapper.StdMissionInfoMapper;
import com.diagbot.service.StdMissionInfoService;
import com.diagbot.vo.StdMissionInfoPageVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-06-12
 */
@Service
public class StdMissionInfoServiceImpl extends ServiceImpl<StdMissionInfoMapper, StdMissionInfo> implements StdMissionInfoService {

    @Override
    public IPage<StdMissionInfoPageDTO> getMissionInfoPages(StdMissionInfoPageVO stdMissionInfoPageVO) {
        return baseMapper.getMissionInfoPages(stdMissionInfoPageVO);
    }
}
