package com.diagbot.vo;

import com.diagbot.dto.BLJLDetailDTO;
import com.diagbot.entity.BrRecdiagnose;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/1/19 17:04
 */
@Getter
@Setter
public class BABLDetailVO {
    /**
     * 病案首页id
     */
    private Long basyid;
    /**
     * 病人住院id
     */
    private Long brzyid;
    /**
     * 病人病案性别BRBAXB
     */
    private String brbaxb;
    /**
     * 病人病案血型BRBAXX
     */
    private String brbaxx;
    /**
     * 病人病案RH型BRBARH
     */
    private String brbarh;

    /**
     * 门急诊主要诊断列表
     */
    private List<BrRecdiagnose> mjzzyzdList;
    /**
     * 门急诊其他诊断列表
     */
    private List<BrRecdiagnose> mjzqtzdList;

    /**
     * 住院主要诊断列表
     */
    private List<BrRecdiagnose> zyzyzdList;

    /**
     * 住院其他诊断列表
     */
    private List<BrRecdiagnose> zyqtzdList;

    /**
     * 住院病历记录列表
     */
    private List<BLJLDetailDTO> zybljlList;
}
