package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 16:07
 */
@Setter
@Getter
public class MedQcresultDetailAllVO {

    @NotNull(message = "请输入医院Id")
    private Long hospitalId;
    /**
     * 病人住院ID
     */
    @NotBlank(message = "病人住院序号不能为空")
    private String behospitalCode;
}
