package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/3/30 16:55
 */
@Getter
@Setter
public class QcCasesEntryIndexVO extends Page {

    /**
     * 病历id
     */
    private Long casesId;

    /**
     * 用于层级定义，由操作人控制录入，需按该列排序
     */
    private Long modeId;

    /**
     * 条目
     */
    private String name;

    /**
     * 条目编码
     */
    private String code;

    /**
     * 医院Id
     */
    private Long hospitalId;

    /**
     * 指定ids
     */
    private List<Long> ids;

    /**
     * notIds
     */
    private List<Long> notIds;

    /**
     * filter
     */
    private Integer filter;
}
