package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 质控条目与质控类型关系映射列表入参
 * @Author: ztg
 * @Date: 2018/12/13 10:07
 */
@Getter
@Setter
public class QcEntryTypePageVO extends Page {

    // 医院id
    private Long hospitalId;
    // 条目名称
    private String entryName;
    // 质控类型名称
    private String typeName;
    // 条目编码
    private String code;
    // 所属模块
    private String casesId;
    // 质控类型为空标识 1：质控类型为空数据
    private int typeIsNull;
}
