package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-03-11 8:57
 */
@Setter
@Getter
public class QcInputcasesSaveVO {

    /**
     * 病例id
     */
    private Long id;
    private Integer hospitalId;
    /**
     * 病历文本
     */
    private String text;

    private String creator;
    /**
     * 临床用血审核
     */
    private String clinicalBlood;

    /**
     * 会诊
     */
    private String consultation;

    /**
     * 死亡病例讨论
     */
    private String deathCaseDiscuss;

    /**
     * 死亡记录
     */
    private String deathRecord;

    /**
     * 疑难病例讨论
     */
    private String difficultCaseDiscuss;

    /**
     * 值班交接班
     */
    private String dutyShiftSystem;

    /**
     * 首次病程录
     */
    private String firstCourseRecord;

    /**
     * 出院小结
     */
    private String leaveHospital;

    /**
     * 分级护理
     */
    private String nursingSystem;

    /**
     * 手术期间讨论
     */
    private String operationDiscussion;

    /**
     * 术前讨论
     */
    private String preOperativeDiscussion;

    /**
     * 三级查房
     */
    private String threeLevelWard;

    /**
     * 危急值报告
     */
    private String criticalValue;

    private List<QcInputMappingSaveVO> qcInputMappingSaveVO;

    private Long caseNumberId;

    private String caseNumber;

    private Long modeId;

    private String isTag;
}
