package com.diagbot.vo;

import com.diagbot.entity.StdQcresultDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 16:36
 */
@Setter
@Getter
public class StdQcresultDetailVO {

   @NotBlank(message = "病人住院序号不能为空")
   private String behospitalCode;
   @NotNull(message = "医院id不能为空")
   private Long hospitalId;
   List<StdQcresultDetail> qcresultDetail;
}
