package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-06-10 19:18
 */
@Setter
@Getter
public class SthospitalInfoClearVO {

    @NotBlank(message = "病人住院序号不能为空")
    private String behospitalCode;
    @NotNull(message = "医院id不能为空")
    private Long hospitalId;
}
