package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:推理返回标签（概念）
 * @Author:zhaops
 * @time: 2019/5/7 20:06
 */
@Getter
@Setter
public class ConceptPushDTO {
    private Long conceptId; // 概念id
    private String name;    //界面名称（医生端名称）
    private String tagName; //系统名称（术语名称）
    private Integer libType;  //词性
    private Long id;
    private Integer type;
    //客户端界面描述
    private String description;
    //是否详细阐述
    private Integer hasExplain = 0;
    //详细阐述
    private String explains;
}