package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 标签明细表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
@TableName("prec_question_detail")
public class QuestionDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 客户端界面描述
     */
    private String description;

    /**
     * question_id
     */
    private Long questionId;


    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 特殊类型
     */
    private Integer exclusion;

    /**
     * 关联子问题（questionId多个逗号隔开）
     */
    private String subQuestion;

    /**
     * 备注
     */
    private String remark;

}
