package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author gaodm
 * @Description: TODO
 * @date 2018年12月11日 下午2:31:42
 */
public enum InquiryQuotedTypeEnum implements KeyedNamed {
    Disable(0, "未引用"),
    Enable(1, "已引用");

    @Setter
    private int key;

    @Setter
    private String name;

    InquiryQuotedTypeEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static InquiryQuotedTypeEnum getEnum(int key) {
        for (InquiryQuotedTypeEnum item : InquiryQuotedTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        InquiryQuotedTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

