package com.diagbot.facade;

import com.diagbot.biz.push.vo.SearchVO;
import com.diagbot.enums.SysTypeEnum;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.PushVO;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/6/14 13:41
 */
@Component
public class AssembleFacade {
    /**
     * 拼装数据
     *
     * @param pushVO
     * @return SearchVO
     */
    public SearchVO assembleData(PushVO pushVO) {
        SearchVO searchVO = new SearchVO();
        BeanUtil.copyProperties(pushVO, searchVO);
        searchVO.setSysCode("1");
        searchVO.setLength(10);
        searchVO.setSysType(SysTypeEnum.PREC_SERVICE.getKey());
        return searchVO;
    }
}