package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetEvaluatorPageDTO;
import com.diagbot.entity.InquiryEvaluator;
import com.diagbot.vo.GetEvaluatorPageVO;

/**
 * <p>
 * 问诊记录-儿童体质辨识表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2019-06-17
 */
public interface InquiryEvaluatorMapper extends BaseMapper<InquiryEvaluator> {
	
	IPage<GetEvaluatorPageDTO> getEvaluatorPage(GetEvaluatorPageVO getEvaluatorPageVO);

}
