package com.diagbot.vo;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value="儿童体质辨识--体质计算--接口传参")
@Getter
@Setter
public class EvaluatorCalVO {
	
    /**
     * 平和体质转化分
     */
	@ApiModelProperty(value="平和体质转化分",required=true)
	@NotNull(message="平和体质转化分必传")
    private BigDecimal mildValue;

    /**
     * 气虚体质转化分
     */
    @ApiModelProperty(value="气虚体质转化分",required=true)
	@NotNull(message="气虚体质转化分必传")
    private BigDecimal faintValue;

    /**
     * 湿滞体质转化分
     */
    @ApiModelProperty(value="湿滞体质转化分",required=true)
	@NotNull(message="湿滞体质转化分必传")
    private BigDecimal wetValue;

    /**
     * 心肝火旺体质转化分
     */
    @ApiModelProperty(value="心肝火旺体质转化分",required=true)
	@NotNull(message="心肝火旺体质转化分必传")
    private BigDecimal heartValue;

    /**
     * 积滞体质转化分
     */
    @ApiModelProperty(value="积滞体质转化分",required=true)
	@NotNull(message="积滞体质转化分必传")
    private BigDecimal stagnantValue;

    /**
     * 异禀体质转化分
     */
    @ApiModelProperty(value="异禀体质转化分",required=true)
	@NotNull(message="异禀体质转化分必传")
    private BigDecimal exceptValue;
	
    
}
