package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@SuppressWarnings({ "rawtypes", "serial" })
@ApiModel(value="儿童体质辨识--获取分页信息--接口传参")
@Getter
@Setter
public class GetEvaluatorPageVO extends Page{
	
    /**
     * 姓名
     */
	@ApiModelProperty(value="姓名")
    private String name;

    /**
     * 手机号
     */
    @ApiModelProperty(value="手机号")
    private String phone;

    /**
     * 性别(1：男 2：女)
     */
    @ApiModelProperty(value="性别(1：男 2：女)")
    private Integer sex;
	
	
	/**
     * 医院编码
     */
	@ApiModelProperty(value="医院编码")
	@NotBlank(message="医院编码必传")
    private String hospitalCode;

	   
}
