package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value = "病历引用接口传参-科室信息")
@Getter
@Setter
public class InquiryQuoteDeptVO {

    /**
     * id
     */
    private Long id;

    /**
     * 科室编码
     */
    @ApiModelProperty(value = "科室编码", required = true)
    @NotNull(message = "科室编码必传")
    private String code;

    /**
     * 科室名称
     */
    @ApiModelProperty(value = "科室名称", required = true)
    @NotNull(message = "科室名称必传")
    private String name;

}
