package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rengb
 * @time 2018年11月23日下午2:29:43
 */
@Getter
@Setter
public class SaveInquiryReportVO {
	
    /**
     * 原图
     */
    @ApiModelProperty(value="原图",required=true)
    @NotBlank(message="原图不能为空")
    private String originalImage;

    /**
     * 图片排序号
     */
    @ApiModelProperty(value="图片排序号",required=true)
    @NotNull(message="图片排序号不能为空")
    private Integer orderNum;
    
    
    
    
    
    
    
}
