package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-02-24 14:30
 */
@Getter
@Setter
public class StatisticalVO {
    /**
     * 医院id
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * 部门id
     */
    //@NotNull(message = "请输入部门id")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
    //@NotNull(message = "请输入医生id")
    private Long doctorId;

    /**
     * 病人id
     */
    @NotNull(message = "请输入病人id")
    private Long patientId;

    /**
     * 就诊号
     */
    //@NotBlank(message = "请输入就诊号")
    private String inquiryCode;

    private List<Taggeds> taggeds;
}
