package com.diagbot.entity.wrapper;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 标签映射表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */
@Getter
@Setter
public class QuestionMappingWrapper implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 上级question
     */
    private Long parentQuestion;

    /**
     * 下级question
     */
    private Long sonQuestion;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 互斥类型（0：不互斥， 1：互斥 主要用在组合项：例如既往史无殊）
     */
    private Integer exclusionType;

}
