package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 标签列表入参
 * @Author: ztg
 * @Date: 2018/12/13 10:07
 */
@Getter
@Setter
public class QuestionPageVO extends Page {

    private String type;
    private String tagName;
    private List<Integer> tagTypeList;
    private List<Integer> controlTypeList;
    private List<Integer> notTypeList;
    @NotNull(message = "调用类型不能为空:(1.独立填写单 2.组合填写单)")
    private Integer callType;//调用类型（1.独立填写单 2.组合填写单）
    private String combinationName;//组合项名称
    private String name;//界面名称
}
