package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author rgb
 * @Description
 * @time 2018年11月19日下午4:57:43
 */
@Getter
@Setter
public class GetTopPatientInfoDjDTO {

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 子医院id
     */
    private Long sonHospitalId;

    /**
     * 子医院编码
     */
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    private String sonHospitalName;

    /**
     * 医院科室id
     */
    private Long hospitalDeptId;

    /**
     * 自己科室id
     */
    private Long selfDeptId;

    /**
     * 自己科室名称
     */
    private String selfDeptName;

    /**
     * 医院科室编码
     */
    private String hospitalDeptCode;

    /**
     * 医院科室名称
     */
    private String hospitalDeptName;

    /**
     * 医生id
     */
    private Long doctorId;

    /**
     * 医生编码
     */
    private String doctorCode;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 病人id
     */
    private Long patientId;

    /**
     * 病人编号
     */
    private String patientCode;

    /**
     * 病人姓名
     */
    private String patientName;

    /**
     * 病人性别
     */
    private String patientSex;

    /**
     * 病人年龄
     */
    private Integer patientAge;

    /**
     * 病人证件号码
     */
    private String patientIdNo;

    /**
     * 患者联系电话
     */
    private String patientPhone;

    /**
     * 系统时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date systemTime;

    /**
     * 出生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date birthday;

    /**
     * 门诊号
     */
    private String recordId;

}