package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:42
 */
@Getter
@Setter
public class HospitalInfoDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 医院编码
     */
    private String code;

    /**
     * 医院名称
     */
    private String name;

    /**
     * 医院地址
     */
    private String address;

    /**
     * 医院名称拼音
     */
    private String spell;

    /**
     * 是否对接（0-不对接，1-对接）
     */
    private Integer connect;

    /**
     * 化验导入方式
     */
    private Integer importWayLis;
    
    /**
     * 辅检导入方式
     */
    private Integer importWayPacs;
    /**
     * 备注
     */
    private String remark;
}
