package com.diagbot.dto;

import com.diagbot.vo.SaveDisDeptVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020/3/25 14:32
 */
@Setter
@Getter
public class InquiryTriageDTO {
    @ApiModelProperty(value = "医院名称")
    private String hospitalCode;

    @ApiModelProperty(value = "访问者的IP", hidden = true)
    private String ip;

    @Valid
    @ApiModelProperty(value = "诊断结果和疾病科室", required = true)
    private String disDept;

    /*@ApiModelProperty(value = "姓名")
    private String patName;*/

    @ApiModelProperty(value = "年龄")
    private Integer patAge;

    @ApiModelProperty(value = "性别(1：男 2：女)")
    private Integer patSex;

    @ApiModelProperty(value = "对接类型(1：咨询，2：挂号)")
    private Integer idType;

/*    @ApiModelProperty(value = "证件号")
    private String idNum;*/

    @ApiModelProperty(value = "症状")
    private String symptom;

    @ApiModelProperty(value = "补充说明")
    private String supplement;

}
