package com.diagbot.dto;

import com.diagbot.entity.PatientInfo;
import lombok.Data;

import java.util.List;

/**
 * @Description: 对接-医院返回挂号信息
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@Data
public class RegisterInfoDTO {

	/**
	 * 医院编号
	 */
	private String hospitalCode;

	/**
	 * 医院名称
	 */
	private String hospitalName;

	/**
	 * 子医院编号
	 */
	private String sonHospitalCode;

	/**
	 * 子医院名称
	 */
	private String sonHospitalName;

	/**
	 * 病人信息
	 */
	private PatientInfo patientInfo;

	/**
	 * 详情
	 */
	private List<RegisterInfoDetailDTO> detail;
		
}