package com.diagbot.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * @Description:
 * @author: wangfeng
 * @time: 2020/3/23 10:56
 */
@ApiModel(value = "分诊记录保存接口出参")
@Getter
@Setter
public class SaveInquiryTriageDTO {

    /**
     * 纳里返回的url
     */
    @ApiModelProperty(value = "纳里返回的url")
    private String body;

    private String response;

    private String request;

    private String requestBodys;

    private Map<String,Object> bodyMap;

}
