package com.diagbot.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.SysHospitalDeptInfoDTO;
import com.diagbot.entity.SysSet;
import com.diagbot.vo.HospitalSetVO;
import com.diagbot.vo.SysHospitalInfoVO;

/**
 * <p>
 * 医院所有配置信息 Mapper 接口
 * </p>
 *
 * @author wangfeng
 * @since 2019-06-12
 */
public interface SysSetMapper extends BaseMapper<SysSet> {
	
	public List<SysSet> querySysSetInfo(HospitalSetVO hospitalSetVO);

    public List<SysHospitalDeptInfoDTO> getjuniorHospitalData(SysHospitalInfoVO sysHospitalInfoVO);
}
