package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DoctorInfoDTO;
import com.diagbot.dto.DoctorInfoFindDTO;
import com.diagbot.entity.DoctorInfo;
import com.diagbot.vo.HospitalCodeSetVO;

import java.util.List;

/**
 * <p>
 * 医生信息表 服务类
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
public interface DoctorInfoService extends IService<DoctorInfo> {


    /**
     * 获取医生信息
     *
     * @param doctorCode
     * @param hospitalCode
     * @param deptCode
     * @return
     */
    public List<DoctorInfoDTO> getDoctorInfos(String doctorCode, String hospitalCode, String deptCode);

}
