package com.diagbot.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.IndexDataDTO;
import com.diagbot.entity.IndexData;

/**
 * <p>
 * 指标数据表 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-08
 */
public interface IndexDataService extends IService<IndexData> {
	
	public List<IndexDataDTO> quisitionIndexDataAll(List<Long> ids, Map<String, Object> indexDataMap);
	
	public boolean insertIndexDataList(List<IndexData> indexDataList);
}
