package com.diagbot.service.impl;

import com.diagbot.dto.IndexDataDTO;
import com.diagbot.entity.IndexData;
import com.diagbot.mapper.IndexDataMapper;
import com.diagbot.service.IndexDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 指标数据表 服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2019-05-08
 */
@Service
public class IndexDataServiceImpl extends ServiceImpl<IndexDataMapper, IndexData> implements IndexDataService {

	@Override
	public List<IndexDataDTO> quisitionIndexDataAll(List<Long> ids, Map<String, Object> indexDataMap) {
		return baseMapper.quisitionIndexDataAll(ids, indexDataMap);
	}

	@Override
	public boolean insertIndexDataList(List<IndexData> indexDataList) {
		return baseMapper.insertIndexDataList(indexDataList);
	}

}
