package com.diagbot.vo;

import java.util.Date;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@SuppressWarnings({ "rawtypes", "serial" })
@Getter
@Setter
public class HisInquirysForJzVO extends Page {
	
	/**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 科室id
     */
    private Long hospitalDeptId;
    
	/**
	 * 开始时间
	 */
	private Date startDate;
	
	/**
	 * 结束时间
	 */
	private Date endDate;
	
	/**
	 * 是否有二次诊断,0-没有，1-有
	 */
	private Integer isHasSecond; 
	
    /**
     * 访问的系统类型 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web
     */
    private Integer sysType;
	   
}
