package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@Getter
@Setter
public class InquiryQuotePatientVO {

    /**
     * id
     */
    private Long id;

    /**
     * 患者编号
     */
    private String code;

    /**
     * 患者姓名
     */
    private String name;

    /**
     * 性别，0-未知、1-男、2-女
     */
    private Integer sex;

    /**
     * 出生日期，格式为：2018-11-28 17:25:30
     */
    private Date birthday;

    /**
     * 证件类型
     */
    private String idType;

    /**
     * 证件号码
     */
    private String idNo;

    /**
     * 家庭住址
     */
    private String address;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 家庭邮编
     */
    private String postcode;

    /**
     * 身份证号
     */
    private String identityNum;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系人电话
     */
    private String contactPhone;

    /**
     * 就职单位名称
     */
    private String workUnit;

    /**
     * 职业
     */
    private String operation;

    /**
     * 国籍
     */
    private String country;

    /**
     * 民族
     */
    private String nationality;

    /**
     * 婚姻状况：0未婚，1已婚，2未知
     */
    private Integer matrimony;

}