package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@Getter
@Setter
public class InquiryQuoteVO {

    /**
     * 病历id
     */
    private Long inquiryId;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 医院编码
     */
    private String hospitalCode;

    /**
     * 医院名称
     */
    private String hospitalName;

    /**
     * 子医院id
     */
    private Long sonHospitalId;

    /**
     * 子医院编码
     */
    private String sonHospitalCode;

    /**
     * 子医院名称
     */
    private String sonHospitalName;

    /**
     * 就诊序列号
     */
    private String inquiryCode;

    /**
     * 科室信息
     */
    private InquiryQuoteDeptVO deptInfo;

    /**
     * 医生信息
     */
    private InquiryQuoteDoctorVO doctorInfo;

    /**
     * 患者信息
     */
    private InquiryQuotePatientVO patientInfo;

}