package com.diagbot.enums;

import lombok.Setter;

/**
 * @author zhoutg
 * @Description: 诊断类型
 * @date 2018年11月21日 下午2:31:42
 */
public enum FixPartEnum {
    PART("全身区域");

    @Setter
    private String partName;

    FixPartEnum(String partName) {
        this.partName = partName;
    }

    public static FixPartEnum getEnum(String partName) {
        for (FixPartEnum item : FixPartEnum.values()) {
            if (item.partName.equals(partName)) {
                return item;
            }
        }
        return null;
    }

    public String getPartName() {
        return this.partName;
    }
}

