package com.diagbot.vo;

import com.diagbot.enums.SysTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *
 */
@Getter
@Setter
public class HospitalVO {
    //医院编码
    //    @NotBlank(message = "请输入医院信息")
    private String hospitalCode = "朗通通用";

    /**
     * 访问的系统类型 1:user-service,2:diagbotman-service,3:uaa-service,4:log-service,5:bi-service,6:knowledge-service,7:feedback-service,8:icss-web
     */
    @ApiModelProperty(hidden = true)
    private Integer sysType = SysTypeEnum.TRIAGE_SERVICE.getKey();

    @ApiModelProperty(hidden = true)
    private Integer wayType;
}
